// TypeScript file
var Global;
(function (Global) {
    /**
     * 判断是否可以使用道具，如果在引导页则可以免费使用一次
     */
    Global.freeUse = false;
    /**
     * 当前关卡
     */
    Global.currentStage = 1;
    Global.currentStage2 = 1;
    /**
     * 当前分数
     */
    Global.currentScore = 0;
    Global.currentScore2 = 0;
    /**
     * 上一关分数
     */
    Global.lastStageScore = 0;
    Global.reviveTimes = 2;
    Global.showEffect = false;
    /**
     * 自动测试
     */
    Global.autoTest = false;
    /**
     * 系统繁忙
     */
    Global.sysBusy = false;
    /**
     * 随机道具周期
     */
    Global.RandomPropCycle = 3600;
    /**
     * 页面动画时间
     */
    Global.PageAnimatorDuration = 250;
    /**
     * 剩余星星初始分数
     */
    Global.RemainScore = 2000;
    Global.stageGoalScore = "";
    Global.remainRewardScore = "";
    Global.offsetX = 0;
    Global.offsetY = 0;
    Global.launchScene = 0;
    Global.rewardADID = "adunit-d335925a755b3c2c";
    Global.bannerADID = "adunit-20f00806b0681da6";
    Global.favbannerADID = "adunit-4f081d12096ce9ce";
    Global.avatarUrl = "";
    Global.nickName = "";
    Global.inviteDimondNum = 20;
    /**
     * 是否全面屏手机
     */
    Global.IsFullScreen = false;
    Global.ContinuityGet = 0;
    Global.DailyList = new Array();
    /**
     * 抽奖奖励列表
     */
    Global.LuckyRewardList = new Array();
    /**
     * 离线奖励列表
     */
    Global.OffLineRewardList = new Array();
    Global.openid = "";
    Global.uid = "";
    Global.selectItem = false;
    Global.Authorized = false;
    Global.code = "";
    Global.GiftAble = false;
    /**
     * true 是提审版  false  非提审版
     */
    Global.TrialShare = false;
    /**
     * 地区分享开关
     * true 关闭分享  false 打开分享
     */
    Global.regionShare = false;
    Global.SaverMinCount = 25;
    Global.testVersion = "";
    /**屏蔽分享的地区 */
    Global.regionShareShield = "";
    /** 小于等于此关走容易配置 */
    Global.easyLevel = 5;
    /** 随机两个颜色个数为easyNum */
    Global.easyNum = 35;
    // true 链接分享 false 伪分享
    Global.tureShare = false;
    Global.Pages = {
        MainMenu: "MainMenu",
        MainGame: "MainGame",
        PausePage: "PausePage",
        ResultPage: "ResultPage",
        ResultEndPage: "ResultEndPage",
        TipObject: "TipObject",
        RankPage: "RankPage",
        DiaMondPage: "DiaMondPage",
        PropsPage: "PropsPage",
        LuckyDrawPage: "LuckyDrawPage"
    };
    Global.lastGameModel = (function () {
        // var lastGameModel = Laya.LocalStorage.getJSON("lastGameModel")
        // return lastGameModel;
    });
    function SaveGame(modles) {
        if (!modles)
            return;
        localStorage.removeItem("lastGameModel");
        modles["currentStage"] = Global.currentStage;
        modles["lastStageScore"] = Global.lastStageScore;
        modles["currentScore"] = Global.currentScore;
        modles["reviveTimes"] = Global.reviveTimes;
        Laya.LocalStorage.setJSON("lastGameModel", modles);
        console.log(JSON.stringify(modles));
    }
    Global.SaveGame = SaveGame;
    function Reset() {
        Global.currentScore = 0;
        Global.currentStage = 1;
        Global.lastStageScore = 0;
        Global.reviveTimes = 2;
    }
    Global.Reset = Reset;
    function GetStageGoal(stage) {
        var result = window.binding.eval(Global.stageGoalScore, [stage]);
        return result;
    }
    Global.GetStageGoal = GetStageGoal;
    function GetCleanScore(count) {
        return 5 * count * count;
    }
    Global.GetCleanScore = GetCleanScore;
    function GetIndexScore(value) {
        return (2 * value + 1) * 5;
    }
    Global.GetIndexScore = GetIndexScore;
    function GetRemainScroe(count) {
        var result = window.binding.eval(Global.remainRewardScore, [count]);
        return result;
    }
    Global.GetRemainScroe = GetRemainScroe;
    function CreateSharedTexture(x, y) {
        Laya.Browser.window.sharedCanvas.width = x;
        Laya.Browser.window.sharedCanvas.height = y;
        Global.sharedTexture = new Laya.Texture(Laya.Browser.window.sharedCanvas);
        Global.sharedTexture.bitmap.alwaysChange = true; //开启后很耗资源，需要显示排行榜时开启
    }
    Global.CreateSharedTexture = CreateSharedTexture;
    Global.diamondCount = 0;
    Global.Setting = {
        welfare_cycle: 0,
        prop: new Array(),
        shareinfo: new Array(),
        today_prop: 0,
        switch_follow: false,
        /** true: 本地控制,周一至周五全视频 周六周日全分享   false: 后台控制,switch_video起作用*/
        switch_weekControl: true,
        switch_fav: false,
        switch_share: false,
        switch_video: false,
        //2次视频后跳分享  此时需switch_video为true   此参数 1.2.3版本后废弃
        video_time: 2,
        //此时需switch_video为true 2次视频 2次链接分享 2次视频 2次伪分享 循环执行
        video_time_new: "2,2,2,2",
        reward_fav: 5,
        reward_follow: 5,
        //离线奖励时间
        offLine_time: 2,
    };
    Global.WatchVideoType = {
        Relife: "Relife",
        LuckyDoubleGet: "LuckyDoubleGet",
        StageGiftGet: "StageGiftGet",
        OffLineGet: "OffLineGet",
        Saver: "Saver",
        onGetTimeGift: "onGetTimeGift",
        UseItem: "UseItem",
        StartAddItem: "StartAddItem",
        NextStageAddItem: "NextStageAddItem",
    };
    Global.shareScene = {
        s1: new Array(),
        s2: new Array(),
        s3: new Array(),
        s4: new Array(),
        s5: new Array()
    };
    function getShareInfo(key) {
        var arr = Global.shareScene["s" + key];
        !arr && (arr = Global.shareScene.s1);
        var res;
        res = arr.length > 0 ? arr[Math.floor(Math.random() * arr.length)] : null;
        !res && (res = { id: "1", scene: key, shareimg: "https://static.zhuyuce.com/Uploads/Picture/20180930/5bb0b6ddadcdb.jpg", title: "分享" });
        return res;
    }
    Global.getShareInfo = getShareInfo;
    Global.version = "1.2.8";
    Global.DefaultSetting = {
        "welfare_cycle": "1",
        "prop": [
            {
                "id": "1",
                "name": "刷新",
                "price": "1"
            },
            {
                "id": "2",
                "name": "炸弹",
                "price": "2"
            },
            {
                "id": "3",
                "name": "刷子",
                "price": "3"
            }
        ],
        "shareinfo": {
            "1": [
                {
                    "id": "1",
                    "scenes": "1",
                    "title": "分享1",
                    "shareimg": "https://static.zhuyuce.com/Uploads/Picture/20180930/5bb0b6ddadcdb.jpg"
                },
                {
                    "id": "2",
                    "scenes": "1",
                    "title": "分享2",
                    "shareimg": "https://static.zhuyuce.com/Uploads/Picture/20180930/5bb0b6ddadcdb.jpg"
                }
            ],
            "2": [
                {
                    "id": "3",
                    "scenes": "2",
                    "title": "分享3",
                    "shareimg": "https://static.zhuyuce.com/Uploads/Picture/20180930/5bb0b6ddadcdb.jpg"
                }
            ]
        }
    };
})(Global || (Global = {}));
//# sourceMappingURL=Global.js.map