var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var pageManager;
var controller;
(function (controller) {
    // const UserInfo = model.UserInfo;
    var EntryController = /** @class */ (function (_super) {
        __extends(EntryController, _super);
        function EntryController() {
            var _this = _super.call(this, null) || this;
            EntryController.TimeController = new controller.TimeController();
            EntryController.AudioController = new controller.AudioController();
            EntryController.WXCTL = new controller.WXHelperController(null);
            return _this;
        }
        EntryController.prototype.init = function () {
            EntryController.DDLibController = new controller.DDlibController();
            this.player = Player.instance;
            this.initPool();
            if (Laya.Browser.onMiniGame) {
                var stage = Laya.stage;
                var height = 640 * stage.height / stage.width;
                Laya.Browser.window.sharedCanvas.width = 640;
                Laya.Browser.window.sharedCanvas.height = 820;
                Laya.Browser.window.wx.getOpenDataContext().postMessage({
                    message: JSON.stringify({
                        tag: "setSize",
                        data: { width: Laya.stage.width, height: height, matrix: Laya.stage._canvasTransform },
                        openid: Global.openid,
                    })
                });
                var options = window["wx"].getLaunchOptionsSync();
                console.log("options ", options);
                Global.launchScene = options.scene;
                window["wx"].onShow(function (e) {
                    EntryController.AudioController.playSound(gameConst.soundList.BACKGROUND_AUDIO, 0, 0, true);
                }.bind(this));
            }
            EntryController.AudioController.playSound(gameConst.soundList.BACKGROUND_AUDIO, 0, 0, true);
            pageManager = PageManager.getInstance();
            pageManager.showPage(Global.Pages.MainGame);
            //const share = Global.getShareInfo(1);
            //EntryController.WXCTL.onShareAppMessage(share.title, share.shareimg, `shareToken=${utils.token}&site=${share.scene}`)
        };
        EntryController.prototype.checkOpenScene = function (sceneCode) {
            var scene = [];
            scene.push(1001, "发现栏小程序主入口");
            scene.push(1005, "顶部搜索框的搜索结果页");
            scene.push(1006, "发现栏小程序主入口搜索框的搜索结果页");
            scene.push(1007, "单人聊天会话中的小程序消息卡片");
            scene.push(1008, "群聊会话中的小程序消息卡片");
            scene.push(1011, "扫描二维码");
            scene.push(1012, "长按图片识别二维码");
            scene.push(1014, "手机相册选取二维码");
            scene.push(1017, "前往体验版的入口页");
            scene.push(1019, "微信钱包");
            scene.push(1020, "公众号profile页相关小程序列表");
            scene.push(1022, "聊天顶部置顶小程序入口");
            scene.push(1023, "安卓系统桌面图标");
            scene.push(1024, "小程序profile页");
            scene.push(1025, "扫描一维码");
            scene.push(1026, "附近小程序列表");
            scene.push(1027, "顶部搜索框搜索结果页“使用过的小程序”列表");
            scene.push(1028, "我的卡包");
            scene.push(1029, "卡券详情页");
            scene.push(1031, "长按图片识别一维码");
            scene.push(1032, "手机相册选取一维码");
            scene.push(1034, "微信支付完成页");
            scene.push(1035, "公众号自定义菜单");
            scene.push(1036, "App分享消息卡片");
            scene.push(1037, "小程序打开小程序");
            scene.push(1038, "从另一个小程序返回");
            scene.push(1039, "摇电视");
            scene.push(1042, "添加好友搜索框的搜索结果页");
            scene.push(1044, "带shareTicket的小程序消息卡片");
            scene.push(1047, "扫描小程序码");
            scene.push(1048, "长按图片识别小程序码");
            scene.push(1049, "手机相册选取小程序码");
            scene.push(1052, "卡券的适用门店列表");
            scene.push(1053, "搜一搜的结果页");
            scene.push(1054, "顶部搜索框小程序快捷入口");
            scene.push(1056, "音乐播放器菜单");
            scene.push(1058, "公众号文章");
            scene.push(1059, "体验版小程序绑定邀请页");
            scene.push(1064, "微信连Wifi状态栏");
            scene.push(1067, "公众号文章广告");
            scene.push(1068, "附近小程序列表广告");
            scene.push(1072, "二维码收款页面");
            scene.push(1073, "客服消息列表下发的小程序消息卡片");
            scene.push(1074, "公众号会话下发的小程序消息卡片");
            scene.push(1089, "微信聊天主界面下拉");
            scene.push(1090, "长按小程序右上角菜单唤出最近使用历史");
            scene.push(1092, "城市服务入口");
        };
        EntryController.prototype.initPool = function () {
            utils.Pool.register("TipObject", 3, function () {
                var tip = new view.TipObject();
                return tip;
            });
            utils.Pool.register("star_view_red", 100, function () {
                var star = new view.StarCellItem("imgs/gameMain/block_red.png");
                return star;
            });
            utils.Pool.register("star_view_blue", 100, function () {
                var star = new view.StarCellItem("imgs/gameMain/block_blue.png");
                return star;
            });
            utils.Pool.register("star_view_green", 100, function () {
                var star = new view.StarCellItem("imgs/gameMain/block_green.png");
                return star;
            });
            utils.Pool.register("star_view_yellow", 100, function () {
                var star = new view.StarCellItem("imgs/gameMain/block_yellow.png");
                return star;
            });
            utils.Pool.register("star_view_purple", 100, function () {
                var star = new view.StarCellItem("imgs/gameMain/block_purple.png");
                return star;
            });
            utils.Pool.register("star_model_red", 100, function () {
                var star = new model.StarCell(0, 0);
                star.cellType = 0;
                star.basecellType = star.cellType;
                return star;
            });
            utils.Pool.register("star_model_blue", 100, function () {
                var star = new model.StarCell(0, 0);
                star.cellType = 1;
                star.basecellType = star.cellType;
                return star;
            });
            utils.Pool.register("star_model_green", 100, function () {
                var star = new model.StarCell(0, 0);
                star.cellType = 2;
                star.basecellType = star.cellType;
                return star;
            });
            utils.Pool.register("star_model_yellow", 100, function () {
                var star = new model.StarCell(0, 0);
                star.cellType = 3;
                star.basecellType = star.cellType;
                return star;
            });
            utils.Pool.register("star_model_purple", 100, function () {
                var star = new model.StarCell(0, 0);
                star.cellType = 4;
                star.basecellType = star.cellType;
                return star;
            });
            var particleSetting = Laya.loader.getRes("starFx.part");
            utils.Pool.register("particle", 10, function () {
                var t = new Laya.Particle2D(particleSetting);
                t.autoPlay = false;
                t.emitter.stop();
                t.stop();
                return t;
            });
            utils.Pool.register("score_label", 30, function () {
                var label = new Laya.Label();
                label.width = 60;
                label.height = 60;
                label.align = "center";
                label.valign = "middle";
                label.color = "#ffffff";
                label.fontSize = 48;
                return label;
            });
        };
        return EntryController;
    }(controller.BaseController));
    controller.EntryController = EntryController;
})(controller || (controller = {}));
//# sourceMappingURL=EntryController.js.map