/**
* name
*/
var controller;
(function (controller) {
    var GuideController = /** @class */ (function () {
        function GuideController(model) {
            this.dis = 0;
            this.game = model;
            this.imgBg = new Laya.Image("imgs/menu/bg.png");
            this.view = new ui.view.GuideDialogUI();
            this.view.refreshBtn.propsBtn.skin = "imgs/gameMain/buff_1.png";
            this.view.boomBtn.propsBtn.skin = "imgs/gameMain/buff_2.png";
            this.view.brushBtn.propsBtn.skin = "imgs/gameMain/buff_3.png";
            this.view.show(false, false);
            // this.view.mouseEnabled = false;
            this.view.mouseThrough = true;
            PageManager.MaskArea.visible = true;
            PageManager.MaskArea.clearUnHit();
            var self = this;
            this.view.moreDiamondAni.loadAtlas("imgs/gameMain/cash.atlas");
            this.view.moreDiamondAni.play();
            this.view.sp_box.once(Laya.Event.CLICK, this, this.stepClean);
            this.view.skip.once(Laya.Event.CLICK, this, this.stepClean);
            this.view.refreshBtn.propsBtn.once(Laya.Event.CLICK, this, function () {
                self.stepClean();
                utils.Navite.js2native("gprops", 1 + "");
                utils.Navite.native2js("props", function () {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", 1);
                });
            });
            this.view.boomBtn.propsBtn.once(Laya.Event.CLICK, this, function () {
                self.stepClean();
                utils.Navite.js2native("gprops", 2 + "");
                utils.Navite.native2js("props", function () {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", 2);
                });
            });
            this.view.brushBtn.propsBtn.once(Laya.Event.CLICK, this, function () {
                self.stepClean();
                utils.Navite.js2native("gprops", 3 + "");
                utils.Navite.native2js("props", function () {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", 3);
                });
            });
            this.view.moreDiamond.once(Laya.Event.CLICK, this, function () {
                self.stepClean();
                utils.Navite.js2native("gcash", "");
            });
            console.log(Laya.stage.height);
            if (Laya.stage.height > 1500) {
                this.dis = -100;
                this.view.sp_box.y += this.dis;
                self.view.moreDiamond.y = 23;
            }
        }
        /**
         * 消除手指
         */
        GuideController.prototype.delateHand = function () {
            this.view.imgHand.visible = false;
        };
        /**
         * 普通消除
         */
        GuideController.prototype.step0 = function () {
            Global.freeUse = true;
            this.view.refreshBtn.visible = false;
            this.view.boomBtn.visible = false;
            this.view.brushBtn.visible = false;
            this.view.moreDiamond.visible = false;
            this.view.tip.skin = "imgs/menu/guide0.png";
            this.view.imgHand.visible = true;
            this.view.imgHand.skin = "imgs/menu/heand.png";
            this.view.imgHand.x = 200;
            this.view.imgHand.y = 450;
            this.animation = new Laya.TimeLine();
            this.animation.to(this.view.imgHand, { y: 550 }, 800, Laya.Ease.linearIn)
                .to(this.view.imgHand, { y: 450 }, 800, Laya.Ease.linearIn)
                .play(null, true);
            utils.EventHelper.fire(gameConst.OnButtonClick, "HideBtns", 1);
        };
        /**
         * 使用刷新道具
         */
        GuideController.prototype.step1 = function () {
            this.view.refreshBtn.visible = true;
            this.view.boomBtn.visible = false;
            this.view.brushBtn.visible = false;
            this.view.moreDiamond.visible = false;
            this.view.imgHand.visible = true;
            this.view.imgHand.skin = "imgs/menu/heand2.png";
            this.view.imgHand.x = -20;
            this.view.imgHand.y = 347;
            if (this.animation) {
                this.animation.destroy();
            }
            this.animation = new Laya.TimeLine();
            this.animation.to(this.view.imgHand, { x: 13, y: 397 }, 800, Laya.Ease.linearIn)
                .to(this.view.imgHand, { x: -20, y: 347 }, 800, Laya.Ease.linearIn)
                .play(null, true);
            this.view.tip.skin = "imgs/menu/guide1.png";
            utils.EventHelper.fire(gameConst.OnButtonClick, "HideBtns", 1);
            var self = this;
            utils.Navite.native2js("setyx", function (y, x) {
                self.view.funBtns.y = y;
                if (x) {
                    self.view.funBtns.x = x;
                }
            });
        };
        /**
         * 使用炸弹道具
         */
        GuideController.prototype.step2 = function () {
            this.view.refreshBtn.visible = false;
            this.view.boomBtn.visible = true;
            this.view.brushBtn.visible = false;
            this.view.moreDiamond.visible = false;
            this.view.imgHand.visible = true;
            this.view.imgHand.skin = "imgs/menu/heand.png";
            this.view.imgHand.x = 545;
            this.view.imgHand.y = 280;
            if (this.animation) {
                this.animation.destroy();
            }
            this.animation = new Laya.TimeLine();
            this.animation.to(this.view.imgHand, { x: 575, y: 320 }, 800, Laya.Ease.linearIn)
                .to(this.view.imgHand, { x: 545, y: 280 }, 800, Laya.Ease.linearIn)
                .play(null, true);
            this.view.tip.skin = "imgs/menu/guide2.png";
            utils.EventHelper.fire(gameConst.OnButtonClick, "HideBtns", 1);
            var self = this;
            utils.Navite.native2js("setyx", function (y, x) {
                self.view.funBtns.y = y;
                if (x) {
                    self.view.funBtns.x = x;
                }
            });
        };
        /**
         * 使用刷子道具
         */
        GuideController.prototype.step3 = function () {
            this.view.refreshBtn.visible = false;
            this.view.boomBtn.visible = false;
            this.view.brushBtn.visible = true;
            this.view.moreDiamond.visible = false;
            this.view.imgHand.skin = "imgs/menu/heand2.png";
            this.view.imgHand.visible = true;
            this.view.imgHand.x = 590;
            this.view.imgHand.y = 280;
            if (this.animation) {
                this.animation.destroy();
            }
            this.animation = new Laya.TimeLine();
            this.animation.to(this.view.imgHand, { x: 560, y: 320 }, 800, Laya.Ease.linearIn)
                .to(this.view.imgHand, { x: 590, y: 280 }, 800, Laya.Ease.linearIn)
                .play(null, true);
            this.view.tip.skin = "imgs/menu/guide3.png";
            utils.EventHelper.fire(gameConst.OnButtonClick, "HideBtns", 1);
            var self = this;
            utils.Navite.native2js("setyx", function (y, x) {
                self.view.funBtns.y = y;
                if (x) {
                    self.view.funBtns.x = x;
                }
            });
        };
        /**
         * 使用红包
         */
        GuideController.prototype.step4 = function (data) {
            var _this = this;
            this.view.diamondLabel.text = data;
            this.view.refreshBtn.visible = false;
            this.view.boomBtn.visible = false;
            this.view.brushBtn.visible = false;
            this.view.moreDiamond.visible = true;
            this.view.skip.visible = false;
            this.view.imgHand.visible = true;
            this.view.imgHand.x = 275;
            this.view.imgHand.y = 88;
            if (this.animation) {
                this.animation.destroy();
            }
            this.animation = new Laya.TimeLine();
            this.animation.to(this.view.imgHand, { x: 225, y: 128 }, 800, Laya.Ease.linearIn)
                .to(this.view.imgHand, { x: 275, y: 88 }, 800, Laya.Ease.linearIn)
                .play(null, true);
            this.view.tip.skin = "imgs/menu/guide4.png";
            utils.EventHelper.fire(gameConst.OnButtonClick, "HideBtns", 1);
            var self = this;
            utils.Navite.native2js("setyx", function (y, x) {
                self.view.moreDiamond.y = y;
                self.view.imgHand.x = 275;
                self.view.imgHand.y = 88;
                if (_this.animation) {
                    _this.animation.destroy();
                }
                _this.animation = new Laya.TimeLine();
                _this.animation.to(_this.view.imgHand, { x: 505, y: 88 }, 800, Laya.Ease.linearIn)
                    .to(_this.view.imgHand, { x: 535, y: 58 }, 800, Laya.Ease.linearIn)
                    .play(null, true);
            });
        };
        GuideController.prototype.stepClean = function () {
            /**FY改 */
            if (this.animation) {
                this.animation.destroy();
            }
            Global.freeUse = false;
            gameSetting.Guide = false;
            PageManager.MaskArea.visible = false;
            PageManager.MaskArea.clearUnHit();
            this.view.close(null, false);
            Laya.LocalStorage.setItem("IsGuide", "guided");
            this.view.destroy();
            controller.EntryController.GuideController = null;
            utils.Navite.js2native("skipguide", "");
            utils.EventHelper.fire(gameConst.OnButtonClick, "ShowBtns", 1);
        };
        return GuideController;
    }());
    controller.GuideController = GuideController;
})(controller || (controller = {}));
//# sourceMappingURL=GuideController.js.map