var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var controller;
(function (controller) {
    var ResultEndController = /** @class */ (function (_super) {
        __extends(ResultEndController, _super);
        function ResultEndController(page) {
            var _this = _super.call(this, page) || this;
            _this.page = page;
            return _this;
        }
        ResultEndController.prototype.onViewAddToStage = function () {
            utils.EventHelper.register(gameConst.CommitUserScore, this.commitUserScore, this);
            utils.EventHelper.register(gameConst.OnButtonClick, this.onButtonClick, this);
        };
        ResultEndController.prototype.onViewRemovedFromStage = function () {
            utils.EventHelper.remove(gameConst.CommitUserScore, this.commitUserScore, this);
            utils.EventHelper.remove(gameConst.OnButtonClick, this.onButtonClick, this);
        };
        ResultEndController.prototype.commitUserScore = function () {
            view.LoadingDialog.showLoading();
            var self = this;
            model.Player.commitUserData().then(function () {
                //成绩提交成功
                Laya.Browser.onMiniGame && self.page.showRankList();
                view.LoadingDialog.hideLoading();
                console.log("成绩提交成功");
            }).catch(function () {
                console.log("成绩提交失败");
                view.LoadingDialog.hideLoading();
                var miss = new ui.view.MissConnectDialogUI();
                miss.back.name = Laya.Dialog.CLOSE;
                miss.retry.name = Laya.Dialog.OK;
                miss.retry.once(Laya.Event.CLICK, self, function () {
                    Global.sysBusy = false;
                    self.commitUserScore();
                });
                miss.closeHandler = Handler.create(self, function () {
                    Global.sysBusy = false;
                    PageManager.DialogMask.DeActiveSelf();
                });
                miss.show(true, true);
            });
        };
        ResultEndController.prototype.onButtonClick = function (event, type) {
            var btnName = "";
            switch (type) {
                case "MoreGame":
                    controller.EntryController.WXCTL.navigateToMiniProgram("wx5ccf73a5edb50795");
                    break;
                case "MoreDiamond":
                    pageManager.showPage(Global.Pages.DiaMondPage, { popWindow: false });
                    break;
                case "ShareClick":
                    btnName = "分享";
                    controller.EntryController.WXCTL.shareNormal();
                    break;
                case "PropsClick":
                    btnName = "道具";
                    pageManager.showPage(Global.Pages.PropsPage);
                    break;
                case "BackMainMenu":
                    btnName = "返回主菜单";
                    Global.Reset();
                    pageManager.back(Global.Pages.MainMenu);
                    break;
                case "ChallengeClick":
                    btnName = "发起挑战";
                    var shareInfo = Global.getShareInfo(5);
                    controller.EntryController.WXCTL.shareShow();
                    break;
            }
            controller.EntryController.WXCTL.aldSendEvent("点击按钮", "按钮名称", btnName);
        };
        return ResultEndController;
    }(controller.BaseController));
    controller.ResultEndController = ResultEndController;
})(controller || (controller = {}));
//# sourceMappingURL=ResultEndController.js.map