var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var Player = model.Player;
var controller;
(function (controller) {
    var StartMenuController = /** @class */ (function (_super) {
        __extends(StartMenuController, _super);
        function StartMenuController(page) {
            var _this = _super.call(this, page) || this;
            _this.adMask = new Laya.Sprite();
            _this.page = page;
            if (Global.GiftAble) {
                var gift;
                if (Global.TrialShare || Global.regionShare) {
                    gift = new view.GiftPage(true);
                }
                else {
                    gift = new view.GiftPage(controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video && Player.instance.getWatchNum(Global.WatchVideoType.StageGiftGet));
                }
                gift.show();
            }
            // if (Player.instance.getOffLine()) {
            // }
            _this.page.addChild(_this.adMask);
            _this.adMask.y = -Global.offsetY;
            return _this;
        }
        StartMenuController.prototype.initFavGroup = function () {
            if (!Laya.Browser.onMiniGame)
                return;
            var sys = Laya.Browser.window.wx.getSystemInfoSync();
            var windWidth = sys.windowWidth;
            var menuInfo = Laya.Browser.window.wx.getMenuButtonBoundingClientRect();
            var menuW = menuInfo.width / windWidth * 750;
        };
        StartMenuController.prototype.setFavHide = function () {
        };
        StartMenuController.prototype.showDiamond = function () {
        };
        /**显示广告 */
        StartMenuController.prototype.ShowAd = function () {
        };
        StartMenuController.prototype.addShadow = function () {
            this.shadow = new Laya.Sprite();
            this.shadow.graphics.drawRect(0, 0, Laya.stage.width, Laya.stage.height, '#000000');
            this.shadow.alpha = 0;
            this.page.addChild(this.shadow);
        };
        StartMenuController.prototype.SetShadowAlpha = function (type) {
            if (type) {
                this.shadow.alpha = 0.7;
            }
            else {
                this.shadow.alpha = 0;
            }
        };
        StartMenuController.prototype.onViewAddToStage = function () {
            this.initFavGroup();
            this.showDiamond();
            // this.page.ani1.play(0, true);
            // this.page.ani2.play(0, true);
            //this.onDDlibLoaded();
            utils.EventHelper.register(gameConst.OnButtonClick, this.onButtonClick, this);
            utils.EventHelper.register(gameConst.TimeCounter, this.timeCounter, this);
            utils.EventHelper.register(gameConst.RefreshProps, this.showDiamond, this);
            utils.EventHelper.register(gameConst.DDLibLoaded, this.onDDlibLoaded, this);
            this.setFellowBtn();
        };
        StartMenuController.prototype.setFellowBtn = function () {
        };
        StartMenuController.prototype.onViewRemovedFromStage = function () {
        };
        StartMenuController.prototype.onDDlibLoaded = function () {
            if (!Global.TrialShare || Global.regionShare) {
                //sdk猜你喜欢 和 抽屉广告
                controller.EntryController.DDLibController.showAniAd(this.adMask);
                controller.EntryController.DDLibController.showFavAd(this.adMask);
                controller.EntryController.DDLibController.showTryAd(this.adMask);
                // Laya.timer.once(1000, this, () => {
                // 	EntryController.WXCTL.showFavBannerAD();
                // })
            }
        };
        StartMenuController.prototype.onButtonClick = function (event, btn) {
            var _this = this;
            var args = [];
            for (var _i = 2; _i < arguments.length; _i++) {
                args[_i - 2] = arguments[_i];
            }
            if (Global.sysBusy)
                return;
            var self = this;
            var btnName = "";
            controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
            switch (btn) {
                case "MoreGame": //更多游戏
                    btnName = "更多游戏";
                    controller.EntryController.WXCTL.navigateToMiniProgram("wxd84c4af1e5b98fbe");
                    break;
                case "MoreDiamond": //更多钻石
                    btnName = "更多钻石";
                    PageManager.getInstance().showPage(Global.Pages.DiaMondPage, { popWindow: false });
                    break;
                case "GameStart":
                    btnName = "开始游戏";
                    self.checkNoProp();
                    break;
                case "RankList":
                    btnName = "排行榜";
                    pageManager.showPage(Global.Pages.RankPage);
                    break;
                case "Items":
                    btnName = "道具";
                    pageManager.showPage(Global.Pages.PropsPage);
                    break;
                case "ShareGame":
                    btnName = "分享游戏";
                    controller.EntryController.WXCTL.shareNormal();
                    break;
                case "FreeDiamond":
                    btnName = "视频奖励";
                    this.onGetGift();
                    break;
                case "LuckyDraw":
                    btnName = "轮盘抽奖";
                    pageManager.showPage(Global.Pages.LuckyDrawPage, { popWindow: true });
                    break;
                case "TimeFreeDiamond":
                    btnName = "限时领取";
                    new view.GiftDialog(Handler.create(this, function () {
                        _this.onGetTimeGift();
                    }), 0, 10, "免费的钻石不领一些么？", true).show();
                    break;
                case "DailyFreeGet":
                    btnName = "7日礼包领取";
                    view.LoadingDialog.showLoading();
                    var item = Global.DailyList[Global.ContinuityGet + 1];
                    Player.addItem(item.type, item.num, true).then(function () {
                        view.LoadingDialog.hideLoading();
                        self.page.showDiamond(Player.instance.DiamondCount);
                        new view.GiftTip(item.type, item.num, item.name).show();
                    }).catch(function (error) {
                        view.CustomTipDialog.showTip(error);
                        view.LoadingDialog.hideLoading();
                    });
                    break;
                case "DailyDoubleGet":
                    btnName = "7日礼包视频领取双倍领取";
                    view.LoadingDialog.showLoading();
                    var item = Global.DailyList[Global.ContinuityGet + 1];
                    this.onDoubleGet().then(function () {
                        return Player.addItem(item.type, item.num * 2, true);
                    }).then(function () {
                        view.LoadingDialog.hideLoading();
                        self.page.showDiamond(Player.instance.DiamondCount);
                        new view.GiftTip(item.type, item.num * 2, item.name).show();
                    }).catch(function (error) {
                        view.CustomTipDialog.showTip(error);
                        view.LoadingDialog.hideLoading();
                    });
                    break;
                case "DailyDoubleGetShare":
                    btnName = "7日礼包分享领取双倍领取";
                    var item = Global.DailyList[Global.ContinuityGet + 1];
                    utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                        if (action === "ShareDailyDoubleGet") {
                            if (result) {
                                Player.addItem(item.type, item.num * 2, true).then(function () {
                                    self.page.showDiamond(Player.instance.DiamondCount);
                                    new view.GiftTip(item.type, item.num * 2, item.name).show();
                                }).catch(function (error) {
                                    view.CustomTipDialog.showTip(error);
                                    view.LoadingDialog.hideLoading();
                                });
                            }
                            else {
                                view.CustomTipDialog.showTip("分享失败,请分享到群");
                            }
                        }
                    }, self);
                    controller.EntryController.WXCTL.shareHelp("ShareDailyDoubleGet");
                    break;
                case "Favirate":
                    var dialog = new view.FavDialog(1);
                    dialog.closeHandler = Laya.Handler.create(this, this.showDiamond);
                    dialog.show();
                    break;
                case "Follow":
                    var dialog = new view.FavDialog(2);
                    dialog.show();
                    break;
                case "CustomService":
                    Laya.Browser.window.wx.openCustomerServiceConversation({
                        sessionFrom: "",
                        showMessageCard: true,
                        sendMessageTitle: "客服消息",
                        sendMessagePath: "",
                        sendMessageImg: "",
                        success: function () {
                            console.log("success");
                        },
                        fail: function () {
                            console.log("fail");
                        },
                        complete: function () {
                            console.log("complete");
                        }
                    });
                    break;
                case "NoPropVideoGet":
                    console.log("startmenu  NoPropVideoGet");
                    var propID = args[0];
                    var stateScene = args[1];
                    if (Global.TrialShare || Global.regionShare) {
                        utils.EventHelper.fire(gameConst.PauseAudio);
                        if (stateScene == 1) {
                            controller.EntryController.WXCTL.playVideoAD().then(function () {
                                utils.EventHelper.fire(gameConst.ResumeAudio);
                                Player.instance.addWatchNum(Global.WatchVideoType.StartAddItem);
                                Player.addItem(propID, 1)
                                    .then(function () {
                                    self.onBtnStart();
                                });
                                btnName = "开始看视频道具";
                            }).catch(function (error) {
                                utils.EventHelper.fire(gameConst.PauseAudio);
                            });
                        }
                        else if (stateScene == 2) {
                            controller.EntryController.WXCTL.playVideoAD().then(function () {
                                Player.instance.addWatchNum(Global.WatchVideoType.UseItem);
                                Player.addItem(propID, 1)
                                    .then(function () {
                                    utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", propID);
                                });
                                btnName = "看视频道具使用 ";
                            }).catch(function (error) {
                                utils.EventHelper.fire(gameConst.PauseAudio);
                            });
                        }
                    }
                    else {
                        if (Global.Setting.switch_share || controller.EntryController.WXCTL.RewardADReady) {
                            if (controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video) {
                                utils.EventHelper.fire(gameConst.PauseAudio);
                                if (stateScene == 1) {
                                    if (Player.instance.getWatchNum(Global.WatchVideoType.StartAddItem)) {
                                        controller.EntryController.WXCTL.playVideoAD().then(function () {
                                            Player.instance.addWatchNum(Global.WatchVideoType.StartAddItem);
                                            Player.addItem(propID, 1)
                                                .then(function () {
                                                self.onBtnStart();
                                            });
                                            btnName = "开始看视频道具";
                                        }).catch(function (error) {
                                            utils.EventHelper.fire(gameConst.PauseAudio);
                                        });
                                    }
                                    else {
                                        utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                            if (action === "ShareNoPropGet") {
                                                if (result) {
                                                    btnName = "开始分享道具";
                                                    Player.addItem(propID, 1)
                                                        .then(function () {
                                                        self.onBtnStart();
                                                    });
                                                    Global.tureShare = false;
                                                    Player.instance.addWatchNum(Global.WatchVideoType.StartAddItem);
                                                }
                                                else {
                                                    if (Global.tureShare) {
                                                        view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                                    }
                                                    else {
                                                        view.CustomTipDialog.showTip("分享失败,请分享到群");
                                                    }
                                                }
                                            }
                                        }, self);
                                        controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                                    }
                                }
                                else if (stateScene == 2) {
                                    if (Player.instance.getWatchNum(Global.WatchVideoType.UseItem)) {
                                        controller.EntryController.WXCTL.playVideoAD().then(function () {
                                            Player.instance.addWatchNum(Global.WatchVideoType.UseItem);
                                            Player.addItem(propID, 1)
                                                .then(function () {
                                                utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", propID);
                                            });
                                            btnName = "看视频道具使用 ";
                                        }).catch(function (error) {
                                            utils.EventHelper.fire(gameConst.PauseAudio);
                                        });
                                    }
                                    else {
                                        utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                            if (action === "ShareNoPropGet") {
                                                if (result) {
                                                    btnName = "分享道具使用";
                                                    Player.addItem(propID, 1)
                                                        .then(function () {
                                                        utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", propID);
                                                    });
                                                    Global.tureShare = false;
                                                    Player.instance.addWatchNum(Global.WatchVideoType.UseItem);
                                                }
                                                else {
                                                    if (Global.tureShare) {
                                                        view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                                    }
                                                    else {
                                                        view.CustomTipDialog.showTip("分享失败,请分享到群");
                                                    }
                                                }
                                            }
                                        }, self);
                                        controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                                    }
                                }
                            }
                            else {
                                utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                    if (action === "ShareNoPropGet") {
                                        if (result) {
                                            btnName = "分享道具使用";
                                            Player.addItem(propID, 1)
                                                .then(function () {
                                                if (stateScene == 1) {
                                                    self.onBtnStart();
                                                    Global.tureShare = false;
                                                    Player.instance.addWatchNum(Global.WatchVideoType.StartAddItem);
                                                }
                                                else if (stateScene == 2) {
                                                    utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", propID);
                                                    Global.tureShare = false;
                                                    Player.instance.addWatchNum(Global.WatchVideoType.UseItem);
                                                }
                                            });
                                        }
                                        else {
                                            if (Global.tureShare) {
                                                view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                            }
                                            else {
                                                view.CustomTipDialog.showTip("分享失败,请分享到群");
                                            }
                                        }
                                    }
                                }, self);
                                controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                            }
                        }
                    }
                    break;
                case "NoPropSkip":
                    var stateScene = args[0];
                    if (stateScene == 1) {
                        self.onBtnStart();
                    }
                    break;
                case "AddProp":
                    var propID = args[0];
                    var stateScene = args[1];
                    if (Global.TrialShare || Global.regionShare) {
                        utils.EventHelper.fire(gameConst.PauseAudio);
                        controller.EntryController.WXCTL.playVideoAD().then(function () {
                            Player.instance.addWatchNum(Global.WatchVideoType.StartAddItem);
                            Player.addItem(propID, 1)
                                .then(function () {
                                new view.GiftTip(propID, 1).show();
                                self.page.init();
                            });
                            btnName = "开始看视频道具";
                        }).catch(function (error) {
                            utils.EventHelper.fire(gameConst.PauseAudio);
                        });
                    }
                    else {
                        if (Global.Setting.switch_share || controller.EntryController.WXCTL.RewardADReady) {
                            if (controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video) {
                                utils.EventHelper.fire(gameConst.PauseAudio);
                                if (Player.instance.getWatchNum(Global.WatchVideoType.StartAddItem)) {
                                    controller.EntryController.WXCTL.playVideoAD().then(function () {
                                        Player.instance.addWatchNum(Global.WatchVideoType.StartAddItem);
                                        Player.addItem(propID, 1)
                                            .then(function () {
                                            new view.GiftTip(propID, 1).show();
                                            self.page.init();
                                        });
                                        btnName = "开始看视频道具";
                                    }).catch(function (error) {
                                        utils.EventHelper.fire(gameConst.PauseAudio);
                                    });
                                }
                                else {
                                    utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                        if (action === "ShareNoPropGet") {
                                            if (result) {
                                                btnName = "开始分享道具";
                                                Player.addItem(propID, 1)
                                                    .then(function () {
                                                    new view.GiftTip(propID, 1).show();
                                                    self.page.init();
                                                });
                                                Global.tureShare = false;
                                                Player.instance.addWatchNum(Global.WatchVideoType.StartAddItem);
                                            }
                                            else {
                                                if (Global.tureShare) {
                                                    view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                                }
                                                else {
                                                    view.CustomTipDialog.showTip("分享失败,请分享到群");
                                                }
                                            }
                                        }
                                    }, self);
                                    controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                                }
                            }
                            else {
                                utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                    if (action === "ShareNoPropGet") {
                                        if (result) {
                                            btnName = "分享道具使用";
                                            Player.addItem(propID, 1)
                                                .then(function () {
                                                new view.GiftTip(propID, 1).show();
                                                self.page.init();
                                            });
                                            Global.tureShare = false;
                                            Player.instance.addWatchNum(Global.WatchVideoType.StartAddItem);
                                        }
                                        else {
                                            if (Global.tureShare) {
                                                view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                            }
                                            else {
                                                view.CustomTipDialog.showTip("分享失败,请分享到群");
                                            }
                                        }
                                    }
                                }, self);
                                controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                            }
                        }
                    }
                    break;
            }
            controller.EntryController.WXCTL.aldSendEvent("点击按钮", "按钮名称", btnName);
        };
        /**检查是否没道具 */
        StartMenuController.prototype.checkNoProp = function () {
            this.onBtnStart();
            // var propID: number = -1;
            // if (Player.instance.RefreshCount <= 0) {
            // 	propID = 1;
            // } else if (Player.instance.BombCount <= 0) {
            // 	propID = 2;
            // } else if (Player.instance.BrushCount <= 0) {
            // 	propID = 3;
            // }
            // let newUser = Laya.LocalStorage.getItem("newUser");
            // if (newUser != "" && propID != -1) {
            // 	view.NoPropDialog.showNoProp(propID, 1);
            // } else {
            // 	Laya.LocalStorage.setItem("newUser", "not");
            // 	this.onBtnStart();
            // }
        };
        StartMenuController.prototype.onBtnStart = function () {
            var _this = this;
            Global.sysBusy = true;
            DDSDK.setAccount(Global.openid);
            if (Laya.Browser.onMiniGame) {
                view.LoadingDialog.showLoading();
                Player.getUserData().then(function () {
                    pageManager.showPage(Global.Pages.MainGame, { data: gameSetting.Guide ? gameConst.LoadFromJson : null });
                    view.LoadingDialog.hideLoading();
                }).catch(function (error) {
                    console.log(error.stack);
                    view.LoadingDialog.hideLoading();
                    PageManager.DialogMask.ActiveSelf();
                    var miss = new ui.view.MissConnectDialogUI();
                    miss.back.name = Laya.Dialog.CLOSE;
                    miss.retry.name = Laya.Dialog.OK;
                    miss.retry.once(Laya.Event.CLICK, _this, function () {
                        Global.sysBusy = false;
                        PageManager.DialogMask.DeActiveSelf();
                        utils.EventHelper.fire(gameConst.OnButtonClick, "GameStart");
                    });
                    miss.closeHandler = Handler.create(_this, function () {
                        Global.sysBusy = false;
                        PageManager.DialogMask.DeActiveSelf();
                        miss.destroy();
                    });
                    miss.show(true, true);
                });
            }
            else {
                pageManager.showPage(Global.Pages.MainGame, { data: gameSetting.Guide ? gameConst.LoadFromJson : null });
            }
        };
        StartMenuController.prototype.onDoubleGet = function () {
            var self = this;
            return new Promise(function (resolve, reject) {
                utils.EventHelper.fire(gameConst.PauseAudio);
                controller.EntryController.WXCTL.playVideoAD().then(function () {
                    utils.EventHelper.fire(gameConst.ResumeAudio);
                    resolve();
                }).catch(function () {
                    utils.EventHelper.fire(gameConst.ResumeAudio);
                    reject("视频获取失败！");
                });
            });
        };
        StartMenuController.prototype.onGetGift = function () {
        };
        StartMenuController.prototype.onGetTimeGift = function () {
        };
        StartMenuController.prototype.timeCounter = function (event, date) {
        };
        StartMenuController.prototype.formatInt = function (value, length) {
            var res = value + "";
            if (res.length < length) {
                for (var i = 0; i < length - res.length; i++) {
                    res = 0 + res;
                }
            }
            return res;
        };
        return StartMenuController;
    }(controller.BaseController));
    controller.StartMenuController = StartMenuController;
})(controller || (controller = {}));
//# sourceMappingURL=StartMenuController.js.map