var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var controller;
(function (controller) {
    var WXHelperController = /** @class */ (function (_super) {
        __extends(WXHelperController, _super);
        function WXHelperController(context) {
            var _this = _super.call(this, context) || this;
            //励视频 adunit-d335925a755b3c2c 激励式视频 已开启 获取代码 
            //底部banner adunit-e96e8c4138a5bfbc banner
            _this.rewardADReady = false;
            _this.rewardBAN = false;
            _this.shareTimeStamp = 0;
            _this.share = false;
            _this.currentShareParm = "";
            _this.authorBtn = null;
            _this.bannerHeight = 110;
            _this.wx = window["wx"];
            if (_this.wx) {
                _this.openDataContext = _this.wx.openDataContext;
                _this.wx.onShow(_this.onShow.bind(_this));
                _this.wx.onHide(_this.onHide.bind(_this));
            }
            return _this;
            //this.createVideoAd(Global.rewardADID);
        }
        Object.defineProperty(WXHelperController.prototype, "RewardADReady", {
            get: function () {
                if (this.rewardBAN)
                    return false;
                return this.rewardADReady;
            },
            enumerable: false,
            configurable: true
        });
        WXHelperController.prototype.createVideoAd = function (adId) {
            if (!this.wx)
                return Promise.resolve();
            console.log("createVideoAd  adId   ", adId);
            this.rewardedVideoAd = this.wx.createRewardedVideoAd({
                adUnitId: adId
            });
            this.rewardedVideoAd.onLoad(this.onVideoLoad.bind(this));
            this.rewardedVideoAd.onError(this.onVideoError.bind(this));
        };
        WXHelperController.prototype.onVideoLoad = function () {
            this.rewardADReady = true;
            console.log("on video ad loaded");
        };
        WXHelperController.prototype.onVideoError = function (error) {
            var code = error.errCode;
            console.log("onVideoError");
            if (code === 1000 || code === 1003 || code === 1004) {
                this.rewardedVideoAd.load();
            }
            else {
                this.rewardBAN = true;
            }
        };
        WXHelperController.prototype.playVideoAD = function () {
            var _this = this;
            if (!this.wx)
                return Promise.resolve();
            var self = this;
            return new Promise(function (resolve, reject) {
                self.rewardedVideoAd.show().catch(function (err) {
                    console.log(err);
                    reject("广告获取异常");
                });
                _this.rewardADReady = false;
                self.rewardedVideoAd.onClose(function (res) {
                    if (res && res.isEnded || res === undefined) {
                        resolve();
                    }
                    else {
                        reject();
                    }
                });
            });
        };
        WXHelperController.prototype.showBannerAD = function () {
            var self = this;
            var y = PageManager.getInstance().uiLayer.localToGlobal(new Laya.Point(0, 1600)).y / Laya.stage.height;
            return self.createBannerAD(Global.bannerADID, y).then(function (ad) {
                self.bannerAd = ad;
                Global.bannerAD = ad;
                Promise.resolve();
            });
        };
        WXHelperController.prototype.hideBannerAD = function () {
            if (this.bannerAd) {
                this.bannerAd.destroy();
            }
        };
        WXHelperController.prototype.showFavBannerAD = function () {
            var self = this;
            var y = 200 + Global.offsetY;
            return self.createFavBannerAD(Global.favbannerADID, y).then(function (ad) {
                self.favbannerAd = ad;
                Promise.resolve();
            });
        };
        WXHelperController.prototype.hideFavBannerAD = function () {
            if (this.favbannerAd) {
                this.favbannerAd.destroy();
            }
        };
        WXHelperController.prototype.onAldEvent = function (eventName, key, value) {
            this.aldSendEvent(eventName, key, value);
        };
        WXHelperController.prototype.shareNormal = function (shareParm) {
            if (!Laya.Browser.onMiniGame) {
                // CommitDialog.showCommitDialog("请在微信小游戏")
                return;
            }
            this.share = true;
            this.shareTimeStamp = Date.now();
            this.currentShareParm = shareParm;
            var shareInfo = Global.getShareInfo(1);
            this.shareAppMessage(shareInfo.title, shareInfo.shareimg, "shareScene=" + "NormalShare" + "&shareParm=" + shareParm);
        };
        WXHelperController.prototype.shareShow = function (shareParm) {
            this.share = true;
            this.shareTimeStamp = Date.now();
            this.currentShareParm = shareParm;
            var shareInfo = Global.getShareInfo(3);
            this.shareAppMessage(shareInfo.title, shareInfo.shareimg, "shareScene=" + "GroupRankList" + "&shareParm=" + shareParm);
        };
        WXHelperController.prototype.shareHelp = function (shareParm, query) {
            this.share = true;
            this.shareTimeStamp = Date.now();
            this.currentShareParm = shareParm;
            var shareInfo = Global.getShareInfo(2);
            var res = "shareScene=HelpShare&shareParm=" + shareParm + (query ? "&" + query : "");
            this.shareAppMessage(shareInfo.title, shareInfo.shareimg, res);
        };
        WXHelperController.prototype.onShow = function (data) {
            Global.launchScene = data.scene;
            console.log("data  ", data);
            //链接分享
            if (Global.tureShare) {
                console.log("链接分享  ");
                this.wx.getShareInfo({
                    shareTicket: data.shareTicket,
                    success: function (res) {
                    },
                    fail: function (res) {
                    }
                });
                if (data.shareTicket != undefined) {
                    console.log("链接分享  成功");
                    utils.EventHelper.fire(gameConst.SharedCallBack, this.currentShareParm, true);
                }
                else {
                    console.log("链接分享  失败");
                    view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                }
            }
            else {
                // 伪分享
                console.log("伪分享  ");
                if (this.share) {
                    var result = false;
                    result = (Date.now() - this.shareTimeStamp) > 2500;
                    this.share = false;
                    if (result) {
                    }
                    if (this.currentShareParm == "ShareDailyDoubleGet" || this.currentShareParm == "ShareNoPropGet") {
                        if (!result) {
                            view.CustomTipDialog.showTip("分享失败,请分享到不同的群");
                        }
                    }
                    else {
                        view.CustomTipDialog.showTip(result ? "分享成功" : "分享失败,请分享到不同的群");
                    }
                    utils.EventHelper.fire(gameConst.SharedCallBack, this.currentShareParm, result);
                    console.log(result ? "分享成功" : "分享失败,请分享到群");
                }
            }
            controller.EntryController.StartMenuController.setFellowBtn();
            Laya.timer.scale = 1;
            if (data && data.shareTicket && data.query.shareScene === "GroupRankList") {
                console.log("查看群排行榜");
                if (PageManager.getInstance().currentPage.pageName === Global.Pages.RankPage) {
                    controller.EntryController.RankPageController.onReceiveData({ shareTicket: data.shareTicket });
                }
            }
            if (data.query.shareParm === "AppealProp") {
                utils.APIHelper.verrifyShare(data.query.site, data.query.shareToken);
                utils.APIHelper.InviteShare(data.query.uid);
                console.log("verrifyShare ", data.query.uid);
            }
            console.log("onShow DDSDK");
            var render = DDSDK.getRender();
            if (render) {
                render.onShow(data);
            }
        };
        WXHelperController.prototype.onHide = function () {
            Laya.timer.scale = 0;
        };
        /** 获取授权 */
        WXHelperController.prototype.getSetting = function () {
            var wx = window["wx"];
            var self = this;
            if (wx == null) {
                return;
            }
            wx.getSetting({
                success: function (res) {
                    var authSetting = res.authSetting;
                    if (authSetting['scope.userInfo'] === true) {
                        // 用户已授权，可以直接调用相关 API
                        console.log("已授权   ", res);
                        wx.getUserInfo({
                            success: function (res) {
                                var userInfo = res.userInfo;
                                // var nickName = userInfo.nickName;
                                // var avatarUrl = userInfo.avatarUrl;
                                // var gender = userInfo.gender; //性别 0：未知、1：男、2：女
                                // var province = userInfo.province;
                                // var city = userInfo.city;
                                // var country = userInfo.country;
                                Global.avatarUrl = userInfo.avatarUrl;
                                Global.nickName = userInfo.nickName;
                                utils.APIHelper.PostDataAuthorize(Global.avatarUrl, Global.nickName);
                            }
                        });
                    }
                    else if (authSetting['scope.userInfo'] === false) {
                        // 用户已拒绝授权，再调用相关 API 或者 wx.authorize 会失败，需要引导用户到设置页面打开授权开关
                        console.log("用户拒绝授权   ", res);
                    }
                    else {
                        // 未询问过用户授权，调用相关 API 或者 wx.authorize 会弹窗询问用户
                        wx.login({
                            success: function (res) {
                                self.authorBtn = wx.createUserInfoButton({
                                    type: 'text',
                                    text: '',
                                    style: {
                                        left: 236 * wx.getSystemInfoSync().screenWidth / Laya.stage.width,
                                        top: 998 * wx.getSystemInfoSync().screenHeight / Laya.stage.height + Global.offsetY / 2,
                                        width: 260 * wx.getSystemInfoSync().screenWidth / Laya.stage.width,
                                        height: 86 * wx.getSystemInfoSync().screenHeight / Laya.stage.height,
                                    }
                                });
                                self.authorBtn.onTap(function (res) {
                                    if (res.errMsg == "getUserInfo:ok") {
                                        console.log("授权用户信息");
                                        //获取到用户信息
                                        Global.avatarUrl = res.userInfo.avatarUrl;
                                        Global.nickName = res.userInfo.nickName;
                                        utils.APIHelper.PostDataAuthorize(Global.avatarUrl, Global.nickName);
                                        //清除微信授权按钮
                                        self.authorBtn.destroy();
                                    }
                                    else {
                                        console.log("授权失败");
                                        self.authorBtn.destroy();
                                    }
                                });
                            }
                        });
                    }
                }
            });
        };
        WXHelperController.prototype.destroyAuthor = function () {
            if (this.authorBtn != null) {
                this.authorBtn.destroy();
            }
        };
        WXHelperController.prototype.login = function () {
            var _this = this;
            if (!this.wx)
                return Promise.resolve({ code: "xx" });
            return new Promise(function (resolve, reject) {
                _this.wx.login({
                    success: function (res) {
                        resolve(res);
                    }
                });
            });
        };
        WXHelperController.prototype.showShareMenu = function () {
            var _this = this;
            if (!this.wx)
                return Promise.resolve();
            this.wx.updateShareMenu({
                withShareTicket: true
            });
            return new Promise(function (resolve, reject) {
                if (DDSDK.isWx()) {
                    _this.wx.showShareMenu({
                        withShareTicket: true,
                        success: function (res) {
                            resolve(res);
                        },
                        fail: function (res) {
                            reject(res);
                        }
                    });
                }
            });
        };
        WXHelperController.prototype.onShareAppMessage = function (title, imageUrl, args) {
            if (!this.wx)
                return Promise.resolve();
            return new Promise(function (resolve, reject) {
                DDSDK.OnShareAppMessage(function (res) {
                    return {
                        title: title,
                        imageUrl: imageUrl,
                        query: args,
                        success: function (res) {
                            resolve(res);
                        },
                        fail: function (res) {
                            reject(res);
                        }
                    };
                });
            });
        };
        WXHelperController.prototype.shareAppMessage = function (title, imageUrl, args) {
            var _this = this;
            if (!this.wx)
                return Promise.resolve();
            return new Promise(function (resolve, rejected) {
                _this.wx.shareAppMessage({
                    title: title,
                    imageUrl: imageUrl,
                    query: args,
                    success: function (res) {
                        resolve(res);
                    },
                    fail: function (res) {
                        rejected(res);
                    }
                });
            });
        };
        WXHelperController.prototype.upDateUserScore = function (score) {
            return Promise.resolve();
        };
        WXHelperController.prototype.navigateToMiniProgram = function (appid) {
            if (!this.wx)
                return Promise.resolve();
            this.wx.navigateToMiniProgram({
                appId: appid,
                envVersion: "release"
            });
        };
        WXHelperController.prototype.createBannerAD = function (id, y) {
            var _this = this;
            var self = this;
            if (!this.wx)
                return Promise.resolve();
            return new Promise(function (resolve, reject) {
                var phoneWidth = _this.wx.getSystemInfoSync().screenWidth; //手机屏幕宽度
                var phoneHeight = _this.wx.getSystemInfoSync().screenHeight; //手机屏幕高度
                console.log("phoneHeight  ", phoneHeight);
                _this.bannerAd = self.wx.createBannerAd({
                    adUnitId: Global.bannerADID,
                    style: {
                        left: 0,
                        top: phoneHeight - 125,
                        width: phoneWidth - 40,
                    }
                });
                var setHeight = false;
                self.bannerAd.onResize(function (res) {
                    self.realtop = self.bannerAd.style.realHeight;
                    console.log("广告信息：", self.realtop);
                    if (Laya.stage.height > 1500) {
                        self.bannerAd.style.top = phoneHeight - 170;
                        self.bannerTop = 1060;
                        self.bannerAd.style.left = (phoneWidth - self.bannerAd.style.realWidth) / 2;
                    }
                    else {
                        _this.bannerHeight = 160 * phoneHeight / 1334;
                        self.bannerAd.style.left = (phoneWidth - self.bannerAd.style.realWidth) / 2;
                        self.bannerAd.style.top = phoneHeight - self.bannerAd.style.realHeight;
                        console.log("self.bannerAd.style.realWidth  ", self.bannerAd.style.realWidth);
                        console.log("self.bannerAd.style.realHeight  ", self.bannerAd.style.realHeight);
                        self.bannerTop = self.bannerAd.style.top * 1334 / phoneHeight - 60;
                        if (!setHeight) {
                            setHeight = true;
                            var rate = self.realtop / _this.bannerHeight;
                            self.bannerAd.style.width = self.bannerAd.style.realWidth / rate;
                            console.log("self.bannerAd.style.realWidth new  ", self.bannerAd.style.realWidth);
                        }
                    }
                    resolve(self.bannerAd);
                });
                self.bannerAd.onError(function (res) {
                    reject("加载banner错误");
                });
            });
        };
        WXHelperController.prototype.createFavBannerAD = function (id, y) {
            var _this = this;
            var self = this;
            if (!this.wx)
                return Promise.resolve();
            return new Promise(function (resolve, reject) {
                var phoneWidth = _this.wx.getSystemInfoSync().screenWidth; //手机屏幕宽度
                var phoneHeight = _this.wx.getSystemInfoSync().screenHeight; //手机屏幕高度
                console.log("createFavBannerAD  ");
                _this.favbannerAd = self.wx.createBannerAd({
                    adUnitId: Global.favbannerADID,
                    style: {
                        left: 0,
                        top: 0,
                        width: 300,
                    }
                });
                self.favbannerAd.onResize(function (res) {
                    self.favbannerAd.style.left = (phoneWidth - self.favbannerAd.style.realWidth) / 2;
                    self.favbannerAd.style.top = phoneHeight - self.favbannerAd.style.realHeight - 50;
                    console.log("favbannerAd 加载成功");
                    resolve(self.favbannerAd);
                });
                self.favbannerAd.onError(function (res) {
                    reject("加载favbanner错误");
                });
            });
        };
        WXHelperController.prototype.aldSendEvent = function (eventName, key, value) {
            if (!this.wx)
                return Promise.resolve();
            this.wx.aldSendEvent(eventName, key ? { key: value } : null);
        };
        WXHelperController.prototype.vibrateLong = function () {
            var _this = this;
            if (!this.wx)
                return Promise.resolve();
            return new Promise(function (resolve, rejected) {
                _this.wx.vibrateLong({
                    success: function (res) {
                        resolve(res);
                    },
                    fail: function (res) {
                        rejected(res);
                    }
                });
            });
        };
        return WXHelperController;
    }(controller.BaseController));
    controller.WXHelperController = WXHelperController;
})(controller || (controller = {}));
//# sourceMappingURL=WXHelperController.js.map