/**
* name
*/
var model;
(function (model) {
    var RefreshProp = /** @class */ (function () {
        function RefreshProp() {
            this.id = 1;
        }
        RefreshProp.prototype.use = function (target) {
            var game = target;
            game.refreshAllCell();
            controller.EntryController.WXCTL.aldSendEvent("使用道具", "道具名称", "刷新道具");
        };
        return RefreshProp;
    }());
    model.RefreshProp = RefreshProp;
    var BrushProp = /** @class */ (function () {
        function BrushProp() {
            this.id = 3;
        }
        BrushProp.prototype.use = function (target) {
            var temp = this.cell;
            temp.changeCellColor(target);
            controller.EntryController.WXCTL.aldSendEvent("使用道具", "道具名称", "刷子道具");
        };
        BrushProp.prototype.bind = function (cell) {
            this.cell = cell;
        };
        return BrushProp;
    }());
    model.BrushProp = BrushProp;
    var BoomProp = /** @class */ (function () {
        function BoomProp() {
            this.id = 2;
        }
        BoomProp.prototype.use = function (cell, target) {
            var game = target;
            var star = cell;
            var index = caculateIndex(star.cellPosition_x, star.cellPosition_y);
            game.cellsStage[index - 1] && game.deleteCell(index - 1, -1);
            game.cellsStage[index] && game.deleteCell(index, -1);
            game.cellsStage[index + 1] && game.deleteCell(index + 1, -1);
            game.cellsStage[index - 11] && game.deleteCell(index - 11, -1);
            game.cellsStage[index - 10] && game.deleteCell(index - 10, -1);
            game.cellsStage[index - 9] && game.deleteCell(index - 9, -1);
            game.cellsStage[index + 9] && game.deleteCell(index + 9, -1);
            game.cellsStage[index + 10] && game.deleteCell(index + 10, -1);
            game.cellsStage[index + 11] && game.deleteCell(index + 11, -1);
            game.tampStage();
            controller.EntryController.WXCTL.aldSendEvent("使用道具", "道具名称", "炸弹道具");
        };
        return BoomProp;
    }());
    model.BoomProp = BoomProp;
    //计算在数组中的位置
    function caculateIndex(x, y) {
        return x * 10 + y;
    }
})(model || (model = {}));
//# sourceMappingURL=IProps.js.map