var gameConst;
(function (gameConst) {
    /**
     * 星星消失的提示分事件
     */
    gameConst.CreateStarScore = "CreateStarScore";
    /**
     * 更新星星状态事件
     */
    gameConst.UpdateStar = "UpdateStar";
    /**
     * 更新当前分数
     */
    gameConst.UpdateScore = "UpdateScore";
    /**
     * 更新当前关卡
     */
    gameConst.UpdateStage = "UpdateStage";
    /**
     * 清除舞台上所有星星
     */
    gameConst.CleanStars = "CleanStars";
    /**
     * 复活重玩本关卡
     */
    gameConst.RePlayStage = "RePlayStage";
    /**
     * 删除星星
     */
    gameConst.DeleteStar = "DeleteStar";
    /**
     * 创建星星
     */
    gameConst.CreateStar = "CreateStar";
    /**
     * 按钮点击事件
     */
    gameConst.OnButtonClick = "OnButtonClick";
    /**
     * 创建星星数据
     */
    gameConst.CreateCells = "CreateCells";
    /**
     * 游戏初始化事件
     */
    gameConst.GameInit = "GameInit";
    /**
     * 星星创建成功回调
     */
    gameConst.OnStarCreated = "OnStarCreated";
    /**
     * 从存档中加载
     */
    gameConst.LoadFromJson = "LoadFromJson";
    /**
     * 自动测试用
     */
    gameConst.AutoTamp = "AutoTamp";
    gameConst.AccomplishStage = "AccomplishStage";
    gameConst.StageFailed = "StageFailed";
    gameConst.UserInfoLoaded = "UserInfoLoaded";
    gameConst.UpdateRemain = "UpdateRemain";
    gameConst.MultiClean = "MultiClean";
    gameConst.StarSelected = "StarSelected";
    gameConst.ItemUsed = "ItemUsed";
    gameConst.PauseAudio = "PauseAudio";
    gameConst.ResumeAudio = "ResumeAudio";
    gameConst.TotalCounter = 60 * 60 * 4;
    gameConst.CounterKey = "User_Local_Time_Record";
    gameConst.Props_GetCount = "Props_GetCount";
    gameConst.TimeCounter = "TimeCounter";
    gameConst.LastGiftTimeRecord = "LastGiftTimeRecord";
    gameConst.CommitUserScore = "CommitUserScore";
    gameConst.ReCounter = "ReCounter";
    gameConst.RefreshProps = "RefreshProps";
    gameConst.SaverProps = "SaverProps";
    gameConst.DDLibLoaded = "DDLibLoaded";
    var api;
    (function (api) {
        api.errorCode = {
            Failed: -1,
            Success: 0,
            InvalidToken: 40001,
            ServerExption: 41002,
            NONE: 99,
            AdSuccess: 1
        };
        // beta-
        var sererUrl = gameSetting.ServerUrl;
        var appid = "wx24150c36fe680dee";
        /**
         * Methond:Get
         * 获取OpenId
         * 此链接中的code替换为客户端获取的code字符串，用于置换openid和token
         */
        api.GET_OPENID = sererUrl + "/login/code.html";
        /**
         * Methond:Get
         * 获取系统设置
         */
        api.GET_SETTING = sererUrl + "/setting.html";
        /**
         * Methond:Post
         * 提交用户信息
         */
        api.SET_USERINFO = sererUrl + "/user.html";
        /**
         * Methond:Get
         * 看视频加钻石
         */
        api.GET_REWARD_RESULT = sererUrl + "/income.html";
        /**
         * Methond:Get
         *  获取用户信息
         */
        api.GET_USER_DETAIL = sererUrl + "/my.html";
        /**
         * Methond:Get
         *  世界排行
         */
        api.GET_RANKING = sererUrl + "/ranking.html";
        /**
         * Methond:Post
         *  提交成绩
         */
        api.UPDATE_SCORE = sererUrl + "/updateScore.html";
        /**
         * Methond:Post
         *  使用道具
         */
        api.USE_PROPS = sererUrl + "/useProp.html";
        /**
         * Methond:Post
         *  购买道具
         */
        api.BUY_PROPS = sererUrl + "/buyProp.html";
        /**
         * Methond:Post
         *  分享获得道具/钻石
         */
        api.USER_SHARE = sererUrl + "/verifyShare.html";
        /**
         * Methond:GET
         *  每日奖励列表
         */
        api.DAILY_GIFT = sererUrl + "/dailyReward.html";
        /**
         * Methond:GET
         *  抽奖大转盘
         */
        api.TURN_TABLE = sererUrl + "/turntable.html";
        /**
         * Methond:GET
         *  离线奖励
         */
        api.OFF_LINE = sererUrl + "/offline.html";
        /**
         * Methond:GET
         *  增加道具 0钻石 1 刷新 2 炸弹 3 刷子
         */
        api.INCREASE_PROP = sererUrl + "/incProp.html";
        api.ENCRYPTED_GROUP = sererUrl + "/openGId.html";
        api.getAccessToken = "https://api.weixin.qq.com/sns/jscode2session?appid=wx67fdc4c6c20b7ae3&secret=2dca5db163b9604a891abb7db59a14ce&js_code=JSCODE&grant_type=authorization_code";
        /**获取广告模块广告的信息*/
        api.CUSTOM_AD = 'https://wxa.zhuyuce.com/api.php?s=index/ads/id/362&version=3.0&v=1.3.24';
    })(api = gameConst.api || (gameConst.api = {}));
    var prefix = "audio/";
    gameConst.SharedGroup = "SharedGroup_Groups";
    gameConst.SharedCallBack = "SharedCallBack";
    gameConst.soundList = {
        BUTTON_CLICK_AUDIO: prefix + "ef_xx_touch.mp3",
        BACKGROUND_AUDIO: prefix + "bg_mainmenu.mp3",
        CLEAN_2_AUDIO: prefix + "ef_guli_1_jy.mp3",
        CLEAN_3_AUDIO: prefix + "ef_guli_2_jxnl.mp3",
        CLEAN_4_AUDIO: prefix + "ef_guli_3_thl.mp3",
        CLEAN_5_AUDIO: prefix + "ef_guli_4_gdpl.mp3",
        CLEAN_6_AUDIO: prefix + "ef_guli_5_kbl.mp3",
        CLEAN_7_AUDIO: prefix + "ef_guli_6_tgll.mp3",
        CLEAN_8_AUDIO: prefix + "ef_guli_7_cjwm.mp3",
        CLEAN_9_AUDIO: prefix + "ef_guli_8_wsbl.mp3",
        CLEAN_10_AUDIO: prefix + "ef_guli_9_wylb.mp3",
        ACCOMPLISH_AUDIO: prefix + "ef_guanqia_pass.mp3",
        FAILED_AUDIO: prefix + "ef_guanqia_fail.mp3",
        NEXT_AUDIO: prefix + "ef_guanqia_next.mp3",
        BOMB_AUDIO: prefix + "ef_xx_bomb.mp3"
    };
    gameConst.BMFontSource = {
        Goal: "font/game_goal_num.fnt",
        Level: "font/game_Level_number.fnt",
        Props: "font/game_prop_number.fnt",
        Score: "font/game_score_number.fnt"
    };
    gameConst.CELLSIZE = 75;
})(gameConst || (gameConst = {}));
//# sourceMappingURL=GameConst.js.map