var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var view;
(function (view) {
    var SaverDialog = /** @class */ (function (_super) {
        __extends(SaverDialog, _super);
        function SaverDialog(type) {
            var _this = _super.call(this) || this;
            _this.remain = 15;
            PageManager.DialogMask.ActiveSelf();
            if (Global.TrialShare || Global.regionShare) {
                _this.checkBox.selected = false;
            }
            else {
                if (Global.Setting.switch_video && controller.EntryController.WXCTL.RewardADReady && Player.instance.getWatchNum(Global.WatchVideoType.Saver)) {
                    _this.checkBox.selected = false;
                }
                else {
                    _this.checkBox.selected = true;
                }
            }
            _this.checkBox.visible = false;
            _this.onChange();
            _this.on(Laya.Event.CLICK, _this, function () { });
            _this.checkBox.on(Laya.Event.CHANGE, _this, _this.onChange);
            _this.groupGet.on(Laya.Event.CLICK, _this, function () {
                SaverDialog.hideSaver();
                utils.EventHelper.fire(gameConst.OnButtonClick, "GroupGet", type);
            });
            _this.videoGet.on(Laya.Event.CLICK, _this, function () {
                SaverDialog.hideSaver();
                utils.EventHelper.fire(gameConst.OnButtonClick, "VideoGet", type);
            });
            _this.icon.skin = "imgs/gameMain/buff_" + type + ".png";
            Laya.timer.loop(1000, _this, _this.onCounter);
            return _this;
        }
        SaverDialog.prototype.onCounter = function () {
            this.remain -= 1;
            this.timeLabel.text = this.remain + " s";
            if (this.remain <= 0) {
                SaverDialog.hideSaver();
            }
        };
        SaverDialog.prototype.onChange = function () {
            this.groupGet.visible = this.checkBox.selected;
            this.videoGet.visible = !this.checkBox.selected;
        };
        SaverDialog.prototype.onClosed = function () {
            _super.prototype.onClosed.call(this);
            this.groupGet.offAll();
            this.videoGet.offAll();
            this.checkBox.offAll();
            Laya.timer.clear(this, this.onCounter);
            PageManager.DialogMask.DeActiveSelf();
            this.destroy();
        };
        SaverDialog.showSaver = function (type) {
            if (this.instance)
                this.instance.show();
            this.instance = new SaverDialog(type);
            this.instance.show(false, false);
        };
        SaverDialog.hideSaver = function () {
            if (this.instance)
                this.instance.close(null, false);
            this.instance = null;
        };
        return SaverDialog;
    }(ui.view.SaverDialogUI));
    view.SaverDialog = SaverDialog;
})(view || (view = {}));
//# sourceMappingURL=SaverDialog.js.map