var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*
 * 抽屉类 ;
 */
var DrawerAdDialog = /** @class */ (function (_super) {
    __extends(DrawerAdDialog, _super);
    function DrawerAdDialog(data) {
        var _this = _super.call(this) || this;
        _this.state = false; // 默认收起状态
        /**showType（展示的类型）: 0: drwer 抽屉式的 1:dualFloat 悬浮式 2：inter_a 内嵌式 3:youlike 猜你喜欢 */
        _this.showType = 0;
        _this.AdData = data;
        _this.InitView();
        _this.InitEvent();
        return _this;
    }
    /**初始化界面 */
    DrawerAdDialog.prototype.InitView = function () {
        this.adItems = [];
        var adIndexList = this.AdData.content;
        var adWidth = parseInt(this.AdData.width);
        var adHeight = parseInt(this.AdData.height);
        for (var i = 0; i < adIndexList.length; i++) {
            var adItem = new view.SingleAdItem(this.showType, i);
            adItem.SetAdSize(adWidth - 50, adHeight - 20);
            adItem.Init();
            adItem.Box_Tip.x = adItem.Img_Ad.x + adItem.Img_Ad.width - adItem.Box_Tip.width / 2;
            adItem.Box_Tip.y = -(adItem.Box_Tip.height / 2);
            adItem.Label_AppName.color = "#ffffff";
            // adItem.Label_AppName.fontSize = 24;
            // adItem.Label_AppName.width = 24 * (adItem.Label_AppName.text.length);
            // adItem.Label_AppName.x = (adItem.width - adItem.Label_AppName.width) / 2;
            // console.log(adItem.width);
            // console.log(adItem.Label_AppName.width);
            adItem.Box_Title.y = adItem.Img_Ad.y + adItem.Img_Ad.height + 4 + 10;
            // 添加一个圆角边框
            var path = [
                ["moveTo", 20, 0],
                ["arcTo", adItem.Img_Ad.width + 8, 0, adItem.Img_Ad.width + 8, 20, 20],
                ["arcTo", adItem.Img_Ad.width + 8, adItem.Img_Ad.height + 8, adItem.Img_Ad.width + 8 - 20, adItem.Img_Ad.height + 8, 20],
                ["arcTo", 0, adItem.Img_Ad.height + 8, 0, adItem.Img_Ad.height + 8 - 20, 20],
                ["arcTo", 0, 0, 20, 0, 20],
            ];
            var border = new Laya.Sprite();
            border.graphics.drawPath(-4, -4, path, { fillStyle: '#71A7D1' });
            adItem.addChildAt(border, 0);
            var disY = (this.Box_adBox.height - (adItem.height + 8) * 3) / 4;
            var disX = (this.Box_adBox.width - (adItem.width + 8) * 3) / 4;
            if (Math.floor(i / 3) == 0) {
                adItem.x = disX * (i + 1) + i * (adItem.width + 8);
                adItem.y = disY;
            }
            else if (Math.floor(i / 3) == 1) {
                adItem.x = disX * (i + 1 - 3) + (i - 3) * (adItem.width + 8);
                adItem.y = disY * 2 + (adItem.height + 8);
            }
            else if (Math.floor(i / 3) == 2) {
                adItem.x = disX * (i + 1 - 6) + (i - 6) * (adItem.width + 8);
                adItem.y = disY * 3 + (adItem.height + 8) * 2;
            }
            this.adItems.push(adItem);
            this.Box_adBox.addChild(adItem);
        }
    };
    /**初始化事件*/
    DrawerAdDialog.prototype.InitEvent = function () {
        this.Img_MoreGame.on(Laya.Event.MOUSE_DOWN, this, this.onclick);
    };
    DrawerAdDialog.prototype.onclick = function () {
        var _this = this;
        if (this.state) {
            controller.EntryController.WXCTL.aldSendEvent(GameData.AdData[this.showType].type, "action", "抽屉缩回");
            // 关闭抽屉
            var targetX = -this.Img_MoreGame.x - 5;
            Laya.Tween.to(this, { x: targetX }, 250);
        }
        else {
            console.log("打开抽屉");
            controller.EntryController.WXCTL.aldSendEvent(GameData.AdData[this.showType].type, "action", "抽屉拉出");
            // 打开抽屉
            Laya.Tween.to(this, { x: -10 }, 250, null, Laya.Handler.create(this, function () {
                //console.log("进入方法");
                _this.AldShowEvent();
            }));
        }
        this.state = !this.state;
        controller.EntryController.StartMenuController.SetShadowAlpha(this.state);
    };
    DrawerAdDialog.prototype.AldShowEvent = function () {
        for (var i = 0; i < this.adItems.length; i++) {
            this.adItems[i].AldShowEvent();
        }
    };
    return DrawerAdDialog;
}(ui.view.CustomAd.DarwerAdDialogUIUI));
//# sourceMappingURL=DrawerAdDialog.js.map