var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*
* 猜你喜欢;
*/
var YouLikeAdDialog = /** @class */ (function (_super) {
    __extends(YouLikeAdDialog, _super);
    function YouLikeAdDialog(data) {
        var _this = _super.call(this) || this;
        /**showType（展示的类型）: 0: drwer 抽屉式的 1:dualFloat 悬浮式 2：inter_a 内嵌式 3:youlike 猜你喜欢 */
        _this.showType = 3;
        _this.AdData = data;
        _this.InitView();
        return _this;
    }
    YouLikeAdDialog.prototype.InitView = function () {
        var adIndexList = this.AccordingWeight(this.AdData.content);
        var adWidth = parseInt(this.AdData.width);
        var adHeight = parseInt(this.AdData.height);
        for (var i = 0; i < adIndexList.length; i++) {
            var adItem = new view.SingleAdItem(this.showType, adIndexList[i]);
            adItem.SetAdSize(adWidth - 30, adHeight);
            adItem.Init();
            adItem.x = (this.Box_adBox.width - adItem.width * 4) / 5 * (i + 1) + i * adItem.width;
            adItem.y = (this.Box_adBox.height - adItem.height) / 2;
            this.Box_adBox.addChild(adItem);
            adItem.AldShowEvent();
            adItem.Label_AppName.color = '#ffffff';
            adItem.Box_Title.y = adItem.Img_Ad.y + adItem.Img_Ad.height + 10;
        }
    };
    /**根据权重选择 */
    YouLikeAdDialog.prototype.AccordingWeight = function (list) {
        // list 为得到的广告列表
        var finaList = [];
        var randomConfig = [];
        for (var i = 0; i < list.length; i++) {
            // 每个广告暂用下标标识
            randomConfig.push({ id: i, weight: list[i].weight });
        }
        var randomList = [];
        for (var i in randomConfig) {
            // 根据权重 往 数组中push元素，如权重=5，id=1，则数据中push 5个1
            for (var j = 0; j < randomConfig[i].weight; j++) {
                randomList.push(randomConfig[i].id);
            }
        }
        // 取出4个广告
        while (finaList.length < 4) {
            var randomValue = randomList[Math.floor(Math.random() * randomList.length)];
            for (var p = 0; p < finaList.length; p++) {
                // 为保证每次取的是不同不广告，如果有重复则跳出
                if (finaList[p] == randomValue) {
                    break;
                }
            }
            if (p == finaList.length) {
                finaList.push(randomValue);
            }
        }
        return finaList;
    };
    return YouLikeAdDialog;
}(ui.view.CustomAd.YouLikeAdDialogUIUI));
//# sourceMappingURL=YouLikeAdDialog.js.map