var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var view;
(function (view) {
    var GameResultEndPage = /** @class */ (function (_super) {
        __extends(GameResultEndPage, _super);
        function GameResultEndPage() {
            var _this = _super.call(this) || this;
            _this.pageName = Global.Pages.ResultEndPage;
            _this.shown = false;
            _this.back.on(Laya.Event.CLICK, _this, function () {
                //主域向子域发送自定义消息
                utils.EventHelper.fire(gameConst.OnButtonClick, "BackMainMenu");
            });
            _this.shareBtn.on(Laya.Event.CLICK, _this, function () { return utils.EventHelper.fire(gameConst.OnButtonClick, "ShareClick"); });
            _this.items.on(Laya.Event.CLICK, _this, function () { return utils.EventHelper.fire(gameConst.OnButtonClick, "PropsClick"); });
            _this.challenge.on(Laya.Event.CLICK, _this, function () { return utils.EventHelper.fire(gameConst.OnButtonClick, "ChallengeClick"); });
            return _this;
            // this.moreDiamond.on(Laya.Event.CLICK, this, () => { utils.EventHelper.fire(gameConst.OnButtonClick, "MoreDiamond") })
            // this.moreGame.on(Laya.Event.CLICK, this, () => { utils.EventHelper.fire(gameConst.OnButtonClick, "MoreGame") })
        }
        GameResultEndPage.prototype.showPage = function (commit) {
            var _this = this;
            if (this.shown)
                return Promise.resolve();
            var self = this;
            if (self.currentScore != null) {
                self.currentScore.text = Global.currentScore + "";
            }
            return new Promise(function (resolve, reject) {
                view.CreateTween(self.resultGroup, { scaleX: 1, scaleY: 1, alpha: 1 }, Global.PageAnimatorDuration, Handler.create(_this, function () {
                    resolve();
                    self.shown = true;
                    if (commit)
                        utils.EventHelper.fire(gameConst.CommitUserScore);
                    if (Laya.Browser.onMiniGame) {
                        controller.EntryController.WXCTL.showBannerAD().then(function () {
                            if (self.shown)
                                Global.bannerAD.show();
                        }).catch(function (e) { return console.log(e); });
                    }
                }));
                view.BackGround.showMask();
            });
        };
        GameResultEndPage.prototype.hidePage = function () {
            if (!this.shown)
                return Promise.resolve();
            var self = this;
            controller.EntryController.WXCTL.hideBannerAD();
            return new Promise(function (resolve, reject) {
                view.CreateTween(self.resultGroup, { scaleX: 0, scaleY: 0, alpha: 0 }, Global.PageAnimatorDuration, Handler.create(self, function () {
                    self.closeRankList();
                    resolve();
                    self.shown = false;
                }));
                view.BackGround.hideMask();
            });
        };
        ;
        GameResultEndPage.prototype.showRankList = function () {
            if (!Laya.Browser.onMiniGame)
                return;
            //主域向子域发送自定义消息
            Laya.Browser.window.sharedCanvas.width = 668;
            Laya.Browser.window.sharedCanvas.height = 316;
            Laya.Browser.window.wx.getOpenDataContext().postMessage({
                message: JSON.stringify({ tag: "showResultPage", score: Global.currentScore })
            });
            Global.CreateSharedTexture(668, 316);
            this.sharedCanvas.texture = Global.sharedTexture;
        };
        GameResultEndPage.prototype.closeRankList = function () {
            if (!Laya.Browser.onMiniGame)
                return;
            Laya.Browser.window.wx.getOpenDataContext().postMessage({
                message: JSON.stringify({ tag: "closeResult" })
            });
            Global.sharedTexture.bitmap.alwaysChange = false; //开启
            Global.sharedTexture.destroy(true);
        };
        return GameResultEndPage;
    }(ui.view.GameResultEndPageUI));
    view.GameResultEndPage = GameResultEndPage;
})(view || (view = {}));
//# sourceMappingURL=GameResultEndPage.js.map