var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var view;
(function (view) {
    /*
    * name;
    */
    var GameResultPage = /** @class */ (function (_super) {
        __extends(GameResultPage, _super);
        function GameResultPage(videoEnable) {
            var _this = _super.call(this) || this;
            _this.nowRemain = 15;
            if (!Global.TrialShare || Global.regionShare) {
                if (GameData.AdData != null) {
                    if (GameData.AdData[1].status != false) {
                        _this.ShowAd();
                    }
                }
            }
            PageManager.DialogMask.ActiveSelf();
            Global.reviveTimes -= 1;
            _this.freeRevive.skin = videoEnable ? "imgs/gameMain/btn_reborn.png" : "imgs/menu/share_yellow.png";
            var action = videoEnable ? "FreeRevive" : "ShareRevive";
            _this.freeRevive.once(Laya.Event.CLICK, _this, function () {
                utils.EventHelper.fire(gameConst.OnButtonClick, action);
                _this.close();
            });
            _this.maskx.graphics.drawPie(125, 125, 125, 1, 360, "#ff0000");
            _this.circle.mask = _this.maskx;
            _this.maskx.visible = false;
            _this.cancel.once(Laya.Event.CLICK, _this, function () {
                _this.close();
                utils.EventHelper.fire(gameConst.OnButtonClick, "CancelRevive");
            });
            _this.heart.once(Laya.Event.CLICK, _this, function () {
                _this.close();
                utils.EventHelper.fire(gameConst.OnButtonClick, "ShareRevive");
            });
            _this.timeClounter.text = _this.nowRemain + "";
            Laya.timer.loop(33.3333, _this, _this.onTimeCounter);
            return _this;
        }
        GameResultPage.prototype.onClosed = function () {
            _super.prototype.onClosed.call(this);
            PageManager.DialogMask.DeActiveSelf();
            Laya.timer.clear(this, this.onTimeCounter);
        };
        GameResultPage.prototype.onTimeCounter = function () {
            this.nowRemain = this.nowRemain - 1 / 30;
            this.timeClounter.text = Math.floor(this.nowRemain) + "";
            this.maskx.graphics.clear();
            this.maskx.graphics.drawPie(125, 125, 125, 360 - this.nowRemain * 24, 360, "#ff0000");
            this.circle.mask = this.maskx;
            if (this.nowRemain <= 0) {
                this.close();
                utils.EventHelper.fire(gameConst.OnButtonClick, "CancelRevive");
            }
        };
        /**显示悬浮广告*/
        GameResultPage.prototype.ShowAd = function () {
            var showType = 1;
            var adContent = this.AccordingWeight(GameData.AdData[showType].content);
            var adWidth = parseInt(GameData.AdData[showType].width);
            var adHeight = parseInt(GameData.AdData[showType].height) + 40;
            var leftAdItem = new view.SingleAdItem(showType, adContent[0]);
            leftAdItem.SetAdSize(adWidth, adHeight);
            leftAdItem.Init();
            leftAdItem.AldShowEvent();
            leftAdItem.x = 0;
            leftAdItem.y = this.heart.y;
            this.addChild(leftAdItem);
            var rightAdItme = new view.SingleAdItem(showType, adContent[1]);
            rightAdItme.x = this.width - leftAdItem.width;
            rightAdItme.y = this.heart.y;
            rightAdItme.SetAdSize(adWidth, adHeight);
            rightAdItme.Init();
            leftAdItem.AldShowEvent();
            this.addChild(rightAdItme);
        };
        /**根据权重选择 */
        GameResultPage.prototype.AccordingWeight = function (list) {
            // list 为得到的广告列表
            var finaList = [];
            var randomConfig = [];
            for (var i = 0; i < list.length; i++) {
                // 每个广告暂用下标标识
                randomConfig.push({ id: i, weight: list[i].weight });
            }
            var randomList = [];
            for (var i in randomConfig) {
                // 根据权重 往 数组中push元素，如权重=5，id=1，则数据中push 5个1
                for (var j = 0; j < randomConfig[i].weight; j++) {
                    randomList.push(randomConfig[i].id);
                }
            }
            // 取出4个广告
            while (finaList.length < 2) {
                var randomValue = randomList[Math.floor(Math.random() * randomList.length)];
                for (var p = 0; p < finaList.length; p++) {
                    // 为保证每次取的是不同不广告，如果有重复则跳出
                    if (finaList[p] == randomValue) {
                        break;
                    }
                }
                if (p == finaList.length) {
                    finaList.push(randomValue);
                }
            }
            return finaList;
        };
        return GameResultPage;
    }(ui.view.GameResultViewUI));
    view.GameResultPage = GameResultPage;
})(view || (view = {}));
//# sourceMappingURL=GameResultPage.js.map