var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var view;
(function (view) {
    var LuckyDrawPage = /** @class */ (function (_super) {
        __extends(LuckyDrawPage, _super);
        function LuckyDrawPage() {
            var _this = _super.call(this) || this;
            _this.pageName = Global.Pages.LuckyDrawPage;
            _this.back.on(Laya.Event.CLICK, _this, function () { return utils.EventHelper.fire(gameConst.OnButtonClick, "BackMenu"); });
            _this.freeGet.on(Laya.Event.CLICK, _this, function () { return utils.EventHelper.fire(gameConst.OnButtonClick, "FreeGet"); });
            _this.videoGet.on(Laya.Event.CLICK, _this, function () { return utils.EventHelper.fire(gameConst.OnButtonClick, "VideoGet"); });
            _this.doubleGet.on(Laya.Event.CLICK, _this, function () { return utils.EventHelper.fire(gameConst.OnButtonClick, "DoubleGet"); });
            _this.refuse.on(Laya.Event.CLICK, _this, function () { return utils.EventHelper.fire(gameConst.OnButtonClick, "CancelDoubleGet"); });
            if (Global.rewardADID === "") {
                _this.videoGet.visible = false;
                _this.freeGet.x = 215;
            }
            else {
                _this.videoGet.visible = true;
                _this.freeGet.x = 389;
            }
            _this.init();
            return _this;
        }
        LuckyDrawPage.prototype.showPage = function (data) {
            var _this = this;
            if (this.shown)
                return Promise.resolve();
            this.x = 750;
            var self = this;
            return new Promise(function (resolve, reject) {
                view.CreateTween(self, { x: 0 }, Global.PageAnimatorDuration, Handler.create(_this, function () {
                    self.shown = true;
                    resolve();
                }));
            });
        };
        LuckyDrawPage.prototype.hidePage = function () {
            var _this = this;
            if (!this.shown)
                return Promise.resolve();
            var self = this;
            return new Promise(function (resolve, reject) {
                view.CreateTween(self, { x: 750 }, Global.PageAnimatorDuration, Handler.create(_this, function () {
                    resolve();
                    self.shown = false;
                }));
            });
        };
        LuckyDrawPage.prototype.rotatePan = function (target, duration) {
            var _this = this;
            this.luckydrawPad.rotation = this.luckydrawPad.rotation % 360;
            return new Promise(function (resolve, reject) {
                Laya.Tween.to(_this.luckydrawPad, { rotation: target }, duration, Laya.Ease.strongInOut, Laya.Handler.create(null, resolve));
            });
        };
        LuckyDrawPage.prototype.init = function () {
            for (var i = 0, length = Global.LuckyRewardList.length; i < length; i++) {
                var data = Global.LuckyRewardList[i];
                var item = this["item" + (i + 1)];
                item.itemLabel.text = data.type === 0 ? "x" + data.num : data.name;
                if (data.type === 0) {
                    item.icon.skin = "imgs/luckydraw/dial_diamond.png";
                }
                else {
                    item.icon.skin = "imgs/luckydraw/dial_buff" + data.type + ".png";
                }
            }
        };
        LuckyDrawPage.prototype.showLuckyPan = function () {
            this.luckDrawGroup.visible = true;
            this.rewardGetGroup.visible = false;
        };
        LuckyDrawPage.prototype.showReward = function (id) {
            var data = Global.LuckyRewardList[id];
            this.luckDrawGroup.visible = false;
            this.rewardGetGroup.visible = true;
            if (data.type === 0) {
                this.icon.skin = "imgs/luckydraw/dial_diamond.png";
            }
            else {
                this.icon.skin = "imgs/luckydraw/dial_buff" + data.type + ".png";
            }
            this.desrc.text = data.name + "x" + data.num;
            if (Global.TrialShare || Global.regionShare) {
                this.doubleGet.skin = "imgs/menu/reward_button1.png";
            }
            else {
                this.doubleGet.skin = controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video && Player.instance.getWatchNum(Global.WatchVideoType.LuckyDoubleGet) ? "imgs/menu/reward_button1.png" : "imgs/menu/share_red.png";
            }
        };
        return LuckyDrawPage;
    }(ui.view.LuckyDrawPageUI));
    view.LuckyDrawPage = LuckyDrawPage;
})(view || (view = {}));
//# sourceMappingURL=LuckyDrawPage.js.map