var controller;
(function (controller) {
    var AudioController = /** @class */ (function () {
        function AudioController() {
            utils.EventHelper.register(gameConst.PauseAudio, this.pauseAuido, this);
            utils.EventHelper.register(gameConst.ResumeAudio, this.resumeAudio, this);
        }
        AudioController.prototype.playSound = function (audioclip, delay, times, backGround) {
            if (delay === void 0) { delay = 0; }
            if (times === void 0) { times = 1; }
            if (backGround === void 0) { backGround = false; }
            if (gameConst.soundList.BUTTON_CLICK_AUDIO == audioclip) {
                Laya.SoundManager.playSound(audioclip, times, null, null, delay);
                return;
            }
            var ismusic = localStorage.getItem("music");
            var isaudio = localStorage.getItem("audio");
            if (audioclip != gameConst.soundList.BACKGROUND_AUDIO && isaudio == "0") {
                console.log("音效停了");
                return;
            }
            if (backGround && ismusic == "0") {
                console.log("音乐停了");
                return;
            }
            if (backGround) {
                AudioController.ismusic = true;
                this.backGroundChanel = Laya.SoundManager.playMusic(audioclip, 0);
            }
            else {
                Laya.SoundManager.playSound(audioclip, times, null, null, delay);
            }
        };
        AudioController.prototype.pauseAuido = function () {
            console.log("音乐暂停了");
            if (this.backGroundChanel) {
                this.backGroundChanel.pause();
            }
        };
        AudioController.prototype.resumeAudio = function () {
            if (this.backGroundChanel) {
                this.backGroundChanel.resume();
            }
        };
        AudioController.ismusic = false;
        return AudioController;
    }());
    controller.AudioController = AudioController;
})(controller || (controller = {}));
//# sourceMappingURL=AudioController.js.map