/**
* name
*/
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var Navite = utils.Navite;
var controller;
(function (controller) {
    //ShowGameOverCanvas
    var GamePageController = /** @class */ (function (_super) {
        __extends(GamePageController, _super);
        function GamePageController(page) {
            var _this = _super.call(this, page) || this;
            _this.isload = false;
            _this.player = model.Player.instance;
            _this.model = new model.GameModel();
            _this.page = page;
            if (Laya.stage.height > 1500) {
                _this.page.y = -100;
            }
            return _this;
        }
        Object.defineProperty(GamePageController.prototype, "Model", {
            get: function () {
                return this.model;
            },
            enumerable: false,
            configurable: true
        });
        GamePageController.prototype.onViewAddToStage = function () {
            Global.Reset();
            utils.EventHelper.register(gameConst.GameInit, this.GameInit, this);
            utils.EventHelper.register(gameConst.OnButtonClick, this.onButtonClick, this);
            utils.EventHelper.register(gameConst.OnStarCreated, this.onStarCreated, this);
            utils.EventHelper.register(gameConst.MultiClean, this.cleanCells, this);
            utils.EventHelper.register(gameConst.CreateCells, this.model.newGame, this.model);
            utils.EventHelper.register(gameConst.CleanStars, this.onCleanStars, this);
            utils.EventHelper.register(gameConst.AccomplishStage, this.accomplishStage, this);
            utils.EventHelper.register(gameConst.StageFailed, this.stageFailed, this);
            utils.EventHelper.register(gameConst.LoadFromJson, this.model.loadFromJson, this.model);
            utils.EventHelper.register(gameConst.CreateStarScore, this.createStarScore, this);
            utils.EventHelper.register(gameConst.UpdateScore, this.updateScore, this);
            utils.EventHelper.register(gameConst.UpdateStage, this.upadateStage, this);
            utils.EventHelper.register(gameConst.RePlayStage, this.replayStage, this);
            utils.EventHelper.register(gameConst.CleanStars, this.showTip, this);
            utils.EventHelper.register(gameConst.DeleteStar, this.deleteStar, this);
            utils.EventHelper.register(gameConst.CreateStar, this.createStar, this);
            utils.EventHelper.register(gameConst.UpdateRemain, this.updateRemainScore, this);
            utils.EventHelper.register(gameConst.SaverProps, this.showSaver, this);
            utils.EventHelper.register(gameConst.ItemUsed, this.showPropsNum, this);
            utils.EventHelper.fire(gameConst.UpdateStage, false);
        };
        GamePageController.prototype.onViewRemovedFromStage = function () {
            var _this = this;
            utils.EventHelper.remove(gameConst.GameInit, this.GameInit, this);
            utils.EventHelper.remove(gameConst.OnButtonClick, this.onButtonClick, this);
            utils.EventHelper.remove(gameConst.OnStarCreated, this.onStarCreated, this);
            utils.EventHelper.remove(gameConst.MultiClean, this.cleanCells, this);
            utils.EventHelper.remove(gameConst.CreateCells, this.model.newGame, this.model);
            utils.EventHelper.remove(gameConst.CleanStars, this.onCleanStars, this);
            utils.EventHelper.remove(gameConst.AccomplishStage, this.accomplishStage, this);
            utils.EventHelper.remove(gameConst.StageFailed, this.stageFailed, this);
            utils.EventHelper.remove(gameConst.LoadFromJson, this.model.loadFromJson, this.model);
            utils.EventHelper.remove(gameConst.CreateStarScore, this.createStarScore, this);
            utils.EventHelper.remove(gameConst.UpdateScore, this.updateScore, this);
            utils.EventHelper.remove(gameConst.UpdateStage, this.upadateStage, this);
            utils.EventHelper.remove(gameConst.CleanStars, this.showTip, this);
            utils.EventHelper.remove(gameConst.DeleteStar, this.deleteStar, this);
            utils.EventHelper.remove(gameConst.CreateStar, this.createStar, this);
            utils.EventHelper.remove(gameConst.UpdateRemain, this.updateRemainScore, this);
            utils.EventHelper.remove(gameConst.SaverProps, this.showSaver, this);
            utils.EventHelper.remove(gameConst.ItemUsed, this.showPropsNum, this);
            this.model.cellsStage && this.model.cellsStage.forEach(function (item, index) {
                if (item) {
                    _this.model.deleteCell(index, -1);
                }
            });
        };
        GamePageController.prototype.createStarScore = function (event, star, score) {
            this.page.createStarScore(star, score);
        };
        GamePageController.prototype.showPropsNum = function () {
            this.page.showPropsNum();
        };
        GamePageController.prototype.updateScore = function () {
            if (Global.currentScore > 100 && Laya.Browser.onMiniGame) {
                Laya.Browser.window.wx.getOpenDataContext().postMessage({
                    message: JSON.stringify({ tag: "GamingScore", score: Global.currentScore })
                });
            }
            this.page.updateScore();
        };
        GamePageController.prototype.upadateStage = function (event, newStage) {
            if (newStage === void 0) { newStage = true; }
            this.page.upadateStage(newStage);
        };
        GamePageController.prototype.replayStage = function () {
            this.page.replayStage();
        };
        GamePageController.prototype.showTip = function (event, count) {
            this.page.showTip(count);
        };
        GamePageController.prototype.showStageTitleAni = function (event, type) {
            if (type === void 0) { type = gameConst.CreateCells; }
            this.page.showStageTitleAni(type);
        };
        GamePageController.prototype.deleteStar = function (event, star, nofx) {
            if (nofx === void 0) { nofx = false; }
            this.page.deleteStar(star, nofx);
        };
        GamePageController.prototype.createStar = function (event, cell) {
            this.page.createStar(cell);
        };
        GamePageController.prototype.updateRemainScore = function (event, score, end, total) {
            this.page.updateRemainScore(score, end, total);
            this.updateScore();
        };
        GamePageController.prototype.showSaver = function () {
            view.SaverDialog.showSaver(Math.random() > 0.5 ? 1 : 3);
        };
        GamePageController.prototype.accomplishStage = function () {
            controller.EntryController.AudioController.playSound(gameConst.soundList.ACCOMPLISH_AUDIO, 0, 1);
        };
        GamePageController.prototype.stageFailed = function () {
            controller.EntryController.AudioController.playSound(gameConst.soundList.FAILED_AUDIO, 0, 1);
        };
        GamePageController.prototype.onCleanStars = function (event, count) {
            if (count >= 5) {
                var audio = "";
                var tex = "";
                var effect = false;
                if (count === 5)
                    (audio = gameConst.soundList.CLEAN_5_AUDIO) && (tex = "assets/tips/tips_4.png");
                else if (count === 6)
                    (audio = gameConst.soundList.CLEAN_6_AUDIO) && (tex = "assets/tips/tips_5.png");
                else if (count === 7)
                    (audio = gameConst.soundList.CLEAN_7_AUDIO) && (tex = "assets/tips/tips_6.png");
                else if (count === 8)
                    (audio = gameConst.soundList.CLEAN_8_AUDIO) && (tex = "assets/tips/tips_7.png");
                else if (count === 9)
                    (audio = gameConst.soundList.CLEAN_9_AUDIO) && (tex = "assets/tips/tips_8.png");
                else if (count > 9) {
                    controller.EntryController.WXCTL.vibrateLong();
                    new view.StarEffectDialog().show();
                }
                if (tex != "") {
                    var img = new Laya.Image(tex);
                    pageManager.showTip(utils.Pool.getObjectFromPool("TipObject"), { data: img });
                }
                //EntryController.AudioController.playSound(audio, 0, 1);
            }
        };
        GamePageController.prototype.cleanCells = function () {
        };
        GamePageController.prototype.nextStage = function () {
            controller.EntryController.AudioController.playSound(gameConst.soundList.NEXT_AUDIO, 0, 1);
        };
        GamePageController.prototype.GameInit = function () {
            var _this = this;
            Global.sysBusy = false;
            var delayList = [];
            var max = 0;
            for (var col = 0; col < this.model.currentColCount; col++) {
                var startDelay = Math.random() * 300;
                delayList.push(startDelay);
                max = Math.max(startDelay, max);
            }
            this.model.cellsStage.forEach(function (cell) {
                if (cell) {
                    Laya.timer.once(delayList[cell.cellPosition_x] + cell.cellPosition_y * 100, _this, function () {
                        utils.EventHelper.fire(gameConst.CreateStar, cell);
                    });
                }
            });
            // Laya.timer.once(max+1500, this, () => {
            // 	gameSetting.Guide && (EntryController.GuideController = new GuideController(this.model));
            // 	EntryController.GuideController && EntryController.GuideController.step2();
            // 	// Global.sysBusy = false; // = true;
            // 	// if (Global.autoTest)
            // 	// 	this.model.tampStage();
            // });
            this.updateScore();
        };
        GamePageController.prototype.guide = function (idx, data) {
            if (!controller.EntryController.GuideController)
                controller.EntryController.GuideController = new controller.GuideController(this.model);
            if (idx == 0) {
                controller.EntryController.GuideController.step0();
            }
            else if (idx == 1) {
                controller.EntryController.GuideController.step1();
            }
            else if (idx == 2) {
                controller.EntryController.GuideController.step2();
            }
            else if (idx == 3) {
                controller.EntryController.GuideController.step3();
            }
            else if (idx == 4) {
                controller.EntryController.GuideController.step4(data);
            }
        };
        GamePageController.prototype.refresh = function () {
            this.destroyAnimationArr();
            if (this.player.useProps(1))
                this.currentSelectProp.use(this.model);
            PageManager.MaskArea.clearUnHit();
            PageManager.MaskArea.visible = false;
            utils.EventHelper.fire(gameConst.ItemUsed, 1);
            Global.selectItem = false;
        };
        GamePageController.prototype.onStarClick = function (cell, star, event) {
            var _this = this;
            console.log(Global.sysBusy);
            if (Global.sysBusy)
                return;
            if (Global.selectItem) {
                var fun = function () {
                    switch (_this.currentSelectProp.id) {
                        case 1:
                            _this.destroyAnimationArr();
                            if (_this.player.useProps(1))
                                _this.currentSelectProp.use(_this.model);
                            PageManager.MaskArea.clearUnHit();
                            PageManager.MaskArea.visible = false;
                            utils.EventHelper.fire(gameConst.ItemUsed, 1);
                            Global.selectItem = false;
                            break;
                        case 2:
                            _this.destroyAnimationArr();
                            if (_this.player.useProps(2))
                                _this.currentSelectProp.use(cell, _this.model);
                            PageManager.MaskArea.visible = false;
                            delete _this.currentSelectProp;
                            utils.EventHelper.fire(gameConst.ItemUsed, 2);
                            Global.selectItem = false;
                            break;
                        case 3:
                            _this.currentSelectProp.bind(cell);
                            _this.page.onStarSelected(star, cell);
                            break;
                    }
                };
                fun();
            }
            else
                this.model.clean(cell.cellPosition_x, cell.cellPosition_y, cell.cellType);
        };
        GamePageController.prototype.onStarCreated = function (event, star, cell) {
            var _this = this;
            var func = this.onStarClick.bind(this, cell, star);
            star.on(Laya.Event.MOUSE_DOWN, this, func);
            cell.onPositionChange = function (cell) {
                star.updateStar(cell);
            };
            var self = this;
            cell.onLight = function (cell) {
                star.setBoard(true, true);
                if (self.arr == null) {
                    self.arr = new Array();
                }
                self.animation = new Laya.TimeLine();
                self.animation.to(star, { scaleX: 0.8, scaleY: 0.8 }, 500, Laya.Ease.linearIn)
                    .to(star, { scaleX: 1.0, scaleY: 1.0 }, 500, Laya.Ease.linearIn)
                    .play(null, true);
                self.arr.push(self.animation);
            };
            cell.offLight = function (cell) {
                self.destroyAnimationArr();
                star.clearLight();
            };
            cell.onDelete = Handler.create(null, function (data) {
                var cell = data.cell;
                var name = "";
                switch (cell.cellType) {
                    case 0:
                        name = "star_view_red";
                        break;
                    case 1:
                        name = "star_view_blue";
                        break;
                    case 2:
                        name = "star_view_green";
                        break;
                    case 3:
                        name = "star_view_yellow";
                        break;
                    case 4:
                        name = "star_view_purple";
                        break;
                }
                controller.EntryController.AudioController.playSound(gameConst.soundList.BOMB_AUDIO, 0, 1);
                star.off(Laya.Event.MOUSE_DOWN, _this, func);
                star.setBoard(false);
                star.reset();
                utils.Pool.collectObjectToPool(name, star);
                utils.EventHelper.fire(gameConst.CreateStarScore, star, data.score);
                utils.EventHelper.fire(gameConst.DeleteStar, star);
            });
            var func2 = function (target) {
                var name = "";
                switch (target) {
                    case 0:
                        name = "imgs/gameMain/block_red.png";
                        break;
                    case 1:
                        name = "imgs/gameMain/block_blue.png";
                        break;
                    case 2:
                        name = "imgs/gameMain/block_green.png";
                        break;
                    case 3:
                        name = "imgs/gameMain/block_yellow.png";
                        break;
                    case 4:
                        name = "imgs/gameMain/block_purple.png";
                        break;
                }
                star.chageColor(name);
            };
            cell.onColorChange = new Handler(this, func2);
        };
        GamePageController.prototype.onButtonClick = function (event, type) {
            var _this = this;
            var args = [];
            for (var _i = 2; _i < arguments.length; _i++) {
                args[_i - 2] = arguments[_i];
            }
            var btnName = "";
            var self = this;
            switch (type) {
                case "ShowBtns":
                    // self.page.refreshBtn.visible = true
                    // self.page.boomBtn.visible = true
                    // self.page.brushBtn.visible = true
                    // self.page.moreDiamond.visible = true
                    return;
                case "HideBtns":
                    // self.page.refreshBtn.visible = false
                    // self.page.boomBtn.visible = false
                    // self.page.brushBtn.visible = false
                    // self.page.moreDiamond.visible = false
                    return;
                case "Guide":
                    self.guide(args[0], args[1]);
                    return;
                case "BackMenu":
                    if (Global.sysBusy)
                        return;
                    Global.Reset();
                    pageManager.back();
                    btnName = "返回主菜单";
                    break;
                case "PropUseClick":
                    if (this.player.useProps(3))
                        this.currentSelectProp.use(args[0]);
                    delete this.currentSelectProp;
                    Global.selectItem = false;
                    PageManager.MaskArea.clearUnHit();
                    PageManager.MaskArea.visible = false;
                    utils.EventHelper.fire(gameConst.ItemUsed, 3);
                    break;
                case "MoreDiamondInGame":
                    PageManager.getInstance().showPage(Global.Pages.DiaMondPage, { popWindow: true });
                    btnName = "更多钻石";
                    break;
                case "ItemSelect":
                    var propNum;
                    var buffId;
                    switch (args[0]) {
                        case 1:
                            if (Global.freeUse == true) {
                                controller.EntryController.GuideController.delateHand();
                            }
                            this.currentSelectProp = new model.RefreshProp();
                            propNum = model.Player.instance.RefreshCount;
                            buffId = 1;
                            self.refresh();
                            return;
                        case 2:
                            if (Global.freeUse == true) {
                                controller.EntryController.GuideController.delateHand();
                            }
                            this.currentSelectProp = new model.BoomProp();
                            propNum = model.Player.instance.BombCount;
                            buffId = 2;
                            break;
                        case 3:
                            if (Global.freeUse == true) {
                                controller.EntryController.GuideController.delateHand();
                            }
                            this.currentSelectProp = new model.BrushProp();
                            propNum = model.Player.instance.BrushCount;
                            buffId = 3;
                            break;
                    }
                    self.useItem(buffId);
                    break;
                case "PauseGame":
                    this.pauseGame();
                    btnName = "游戏暂停";
                    break;
                case "ShareRevive":
                    utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                        if (action === "ShareRevive") {
                            if (result) {
                                self.revive();
                            }
                            else {
                                view.CustomTipDialog.showTip("分享失败,请分享到群", Handler.create(self, function () {
                                    Global.sysBusy = true;
                                    if (Global.Setting.switch_share || controller.EntryController.WXCTL.RewardADReady)
                                        new view.GameResultPage(controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video && Player.instance.getWatchNum(Global.WatchVideoType.Relife)).show();
                                }));
                            }
                        }
                    }, this);
                    controller.EntryController.WXCTL.shareHelp("ShareRevive");
                    btnName = "分享复活";
                    break;
                case "FreeRevive":
                    utils.EventHelper.fire(gameConst.PauseAudio);
                    controller.EntryController.WXCTL.playVideoAD().then(function () {
                        Player.instance.addWatchNum(Global.WatchVideoType.Relife);
                        utils.EventHelper.fire(gameConst.ResumeAudio);
                        self.revive();
                    }).catch(function (error) {
                        utils.EventHelper.fire(gameConst.PauseAudio);
                        view.CustomTipDialog.showTip(error, Handler.create(self, function () {
                            Global.sysBusy = true;
                            if (Global.Setting.switch_share || controller.EntryController.WXCTL.RewardADReady)
                                new view.GameResultPage(controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video && Player.instance.getWatchNum(Global.WatchVideoType.Relife)).show();
                        }));
                    });
                    btnName = "视频复活";
                    break;
                case "CancelRevive":
                    Global.sysBusy = false;
                    pageManager.showPage(Global.Pages.ResultEndPage, { popWindow: false, data: true });
                    btnName = "取消复活呢";
                    if (GameData.AdData != null) {
                        if (GameData.AdData[2].status != false) {
                            /**加入插屏 */
                            pageManager.uiLayer.addChild(new InterAdDialog());
                        }
                    }
                    break;
                case "StageGiftGet":
                    if (Global.TrialShare || Global.regionShare) {
                        view.LoadingDialog.showLoading();
                        if (controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video && Player.instance.getWatchNum(Global.WatchVideoType.StageGiftGet)) {
                            utils.EventHelper.fire(gameConst.PauseAudio);
                            controller.EntryController.WXCTL.playVideoAD().then(function () {
                                utils.EventHelper.fire(gameConst.ResumeAudio);
                                Player.instance.addWatchNum(Global.WatchVideoType.StageGiftGet);
                                return Player.addItem(0, 10);
                            }).then(function () {
                                _this.page.showPropsNum();
                                _this.page.nextStage(true);
                                view.LoadingDialog.hideLoading();
                            }).catch(function () {
                                utils.EventHelper.fire(gameConst.PauseAudio);
                                view.CustomTipDialog.showTip("视频获取失败！");
                                view.LoadingDialog.hideLoading();
                            });
                        }
                    }
                    else {
                        view.LoadingDialog.showLoading();
                        if (controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video && Player.instance.getWatchNum(Global.WatchVideoType.StageGiftGet)) {
                            utils.EventHelper.fire(gameConst.PauseAudio);
                            controller.EntryController.WXCTL.playVideoAD().then(function () {
                                utils.EventHelper.fire(gameConst.ResumeAudio);
                                Player.instance.addWatchNum(Global.WatchVideoType.StageGiftGet);
                                return Player.addItem(0, 10);
                            }).then(function () {
                                _this.page.showPropsNum();
                                _this.page.nextStage(true);
                                view.LoadingDialog.hideLoading();
                            }).catch(function () {
                                utils.EventHelper.fire(gameConst.PauseAudio);
                                view.CustomTipDialog.showTip("视频获取失败！");
                                view.LoadingDialog.hideLoading();
                            });
                        }
                        else {
                            utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                if (action === "StageGiftGet") {
                                    if (result) {
                                        Player.addItem(0, 10)
                                            .then(function () {
                                            self.page.showPropsNum();
                                            self.page.nextStage(true);
                                            view.LoadingDialog.hideLoading();
                                        }).catch(function (error) {
                                            view.CustomTipDialog.showTip(error);
                                            view.LoadingDialog.hideLoading();
                                        });
                                        Global.tureShare = false;
                                        Player.instance.addWatchNum(Global.WatchVideoType.StageGiftGet);
                                    }
                                    else {
                                        if (Global.tureShare) {
                                            view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                        }
                                        else {
                                            view.CustomTipDialog.showTip("分享失败,请分享到群");
                                        }
                                        view.LoadingDialog.hideLoading();
                                    }
                                }
                            }, this);
                            controller.EntryController.WXCTL.shareHelp("StageGiftGet");
                        }
                    }
                    btnName = "关卡奖励";
                    break;
                case "GroupGet":
                    utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                        if (action === "GroupGet") {
                            if (result) {
                                view.LoadingDialog.showLoading();
                                Player.addItem(args[0], 1).then(function () {
                                    _this.page.showPropsNum();
                                    view.LoadingDialog.hideLoading();
                                }).catch(function (error) {
                                    view.CustomTipDialog.showTip(error);
                                    view.LoadingDialog.hideLoading();
                                });
                            }
                            else {
                                view.CustomTipDialog.showTip("分享失败,请分享到群");
                            }
                        }
                    }, this);
                    controller.EntryController.WXCTL.shareHelp("GroupGet");
                    btnName = "救命道具分享获取";
                    break;
                case "VideoGet":
                    view.LoadingDialog.showLoading();
                    controller.EntryController.WXCTL.playVideoAD().then(function () {
                        Player.instance.addWatchNum(Global.WatchVideoType.Saver);
                        return Player.addItem(args[0], 1);
                    }).then(function () {
                        _this.page.showPropsNum();
                        view.LoadingDialog.hideLoading();
                    }).catch(function (error) {
                        view.CustomTipDialog.showTip(error);
                        view.LoadingDialog.hideLoading();
                    });
                    btnName = "救命道具视频获取";
                    break;
                case "OffLineVideoGet":
                    view.LoadingDialog.showLoading();
                    if (controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video && Player.instance.getWatchNum(Global.WatchVideoType.OffLineGet)) {
                        self.playVideo().then(function () {
                            view.LoadingDialog.hideLoading();
                            Player.instance.addWatchNum(Global.WatchVideoType.OffLineGet);
                            _this.addItems(2);
                        }).catch(function () {
                            view.LoadingDialog.hideLoading();
                            view.CustomTipDialog.showTip("视频获取失败");
                        });
                    }
                    else {
                        utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                            if (action === "OffLineVideoGet" && result) {
                                _this.addItems(2);
                            }
                            else {
                                view.CustomTipDialog.showTip("分享失败");
                            }
                            Global.tureShare = false;
                            Player.instance.addWatchNum(Global.WatchVideoType.OffLineGet);
                        }, this);
                        controller.EntryController.WXCTL.shareHelp("OffLineVideoGet");
                    }
                    btnName = "奖励翻倍";
                    break;
                case "OffLineGet":
                    this.addItems(1);
                    btnName = "直接领取";
                    break;
                case "NoPropVideoGet":
                    var propID = args[0];
                    var stateScene = args[1];
                    if (Global.TrialShare || Global.regionShare) {
                        utils.EventHelper.fire(gameConst.PauseAudio);
                        controller.EntryController.WXCTL.playVideoAD().then(function () {
                            utils.EventHelper.fire(gameConst.ResumeAudio);
                            Player.instance.addWatchNum(Global.WatchVideoType.UseItem);
                            Player.addItemInGame(propID);
                            _this.page.showPropsNum();
                            utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", propID);
                            btnName = "看视频道具使用 ";
                        }).catch(function (error) {
                            utils.EventHelper.fire(gameConst.PauseAudio);
                            view.CustomTipDialog.showTip("视频获取失败！");
                        });
                    }
                    else {
                        if (Global.Setting.switch_share || controller.EntryController.WXCTL.RewardADReady) {
                            if (controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video) {
                                utils.EventHelper.fire(gameConst.PauseAudio);
                                if (Player.instance.getWatchNum(Global.WatchVideoType.UseItem)) {
                                    controller.EntryController.WXCTL.playVideoAD().then(function () {
                                        utils.EventHelper.fire(gameConst.ResumeAudio);
                                        Player.instance.addWatchNum(Global.WatchVideoType.UseItem);
                                        Player.addItemInGame(propID);
                                        _this.page.showPropsNum();
                                        utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", propID);
                                        btnName = "看视频道具使用 ";
                                    }).catch(function (error) {
                                        utils.EventHelper.fire(gameConst.PauseAudio);
                                        view.CustomTipDialog.showTip("视频获取失败！");
                                    });
                                }
                                else {
                                    utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                        if (action === "ShareNoPropGet") {
                                            if (result) {
                                                btnName = "分享道具使用";
                                                Player.addItemInGame(propID);
                                                _this.page.showPropsNum();
                                                utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", propID);
                                                Global.tureShare = false;
                                                Player.instance.addWatchNum(Global.WatchVideoType.UseItem);
                                            }
                                            else {
                                                if (Global.tureShare) {
                                                    view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                                }
                                                else {
                                                    view.CustomTipDialog.showTip("分享失败,请分享到群");
                                                }
                                            }
                                        }
                                    }, self);
                                    controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                                }
                            }
                            else {
                                utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                    if (action === "ShareNoPropGet") {
                                        if (result) {
                                            btnName = "分享道具使用";
                                            Player.addItemInGame(propID);
                                            _this.page.showPropsNum();
                                            utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", propID);
                                            Global.tureShare = false;
                                            Player.instance.addWatchNum(Global.WatchVideoType.UseItem);
                                        }
                                        else {
                                            if (Global.tureShare) {
                                                view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                            }
                                            else {
                                                view.CustomTipDialog.showTip("分享失败,请分享到群");
                                            }
                                        }
                                    }
                                }, self);
                                controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                            }
                        }
                    }
                    break;
                case "AddProp":
                    var propID = args[0];
                    var stateScene = args[1];
                    if (Global.TrialShare || Global.regionShare) {
                        utils.EventHelper.fire(gameConst.PauseAudio);
                        controller.EntryController.WXCTL.playVideoAD().then(function () {
                            utils.EventHelper.fire(gameConst.ResumeAudio);
                            Player.instance.addWatchNum(Global.WatchVideoType.NextStageAddItem);
                            Player.addItemInGame(propID);
                            self.page.refreshItemCount();
                            btnName = "开始看视频道具";
                        }).catch(function (error) {
                            utils.EventHelper.fire(gameConst.PauseAudio);
                            view.CustomTipDialog.showTip("视频获取失败！");
                        });
                    }
                    else {
                        if (Global.Setting.switch_share || controller.EntryController.WXCTL.RewardADReady) {
                            if (controller.EntryController.WXCTL.RewardADReady && Global.Setting.switch_video) {
                                utils.EventHelper.fire(gameConst.PauseAudio);
                                if (Player.instance.getWatchNum(Global.WatchVideoType.NextStageAddItem)) {
                                    controller.EntryController.WXCTL.playVideoAD().then(function () {
                                        utils.EventHelper.fire(gameConst.ResumeAudio);
                                        Player.instance.addWatchNum(Global.WatchVideoType.NextStageAddItem);
                                        Player.addItemInGame(propID);
                                        self.page.refreshItemCount();
                                        btnName = "开始看视频道具";
                                    }).catch(function (error) {
                                        utils.EventHelper.fire(gameConst.PauseAudio);
                                        view.CustomTipDialog.showTip("视频获取失败！");
                                    });
                                }
                                else {
                                    utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                        if (action === "ShareNoPropGet") {
                                            if (result) {
                                                btnName = "开始分享道具";
                                                Player.addItemInGame(propID);
                                                self.page.refreshItemCount();
                                                Global.tureShare = false;
                                                Player.instance.addWatchNum(Global.WatchVideoType.NextStageAddItem);
                                            }
                                            else {
                                                if (Global.tureShare) {
                                                    view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                                }
                                                else {
                                                    view.CustomTipDialog.showTip("分享失败,请分享到群");
                                                }
                                            }
                                        }
                                    }, self);
                                    controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                                }
                            }
                            else {
                                utils.EventHelper.once(gameConst.SharedCallBack, function (event, action, result) {
                                    if (action === "ShareNoPropGet") {
                                        if (result) {
                                            btnName = "分享道具使用";
                                            Player.addItemInGame(propID);
                                            self.page.refreshItemCount();
                                            Global.tureShare = false;
                                            Player.instance.addWatchNum(Global.WatchVideoType.NextStageAddItem);
                                        }
                                        else {
                                            if (Global.tureShare) {
                                                view.CustomTipDialog.showTip("到群里点击自己的分享链接领奖");
                                            }
                                            else {
                                                view.CustomTipDialog.showTip("分享失败,请分享到群");
                                            }
                                        }
                                    }
                                }, self);
                                controller.EntryController.WXCTL.shareHelp("ShareNoPropGet");
                            }
                        }
                    }
                    break;
                case "NoPropSkip":
                    var stateScene = args[0];
                    if (stateScene == 2) {
                        this.page.propsTip.visible = false;
                    }
                    break;
            }
            controller.EntryController.WXCTL.aldSendEvent("点击按钮", "按钮名称", btnName);
        };
        GamePageController.prototype.useItem = function (buffId) {
            var self = this;
            Global.selectItem = true;
            PageManager.MaskArea.visible = true;
            PageManager.MaskArea.once(Laya.Event.CLICK, this, function () {
                PageManager.MaskArea.clearUnHit();
                PageManager.MaskArea.visible = false;
                Global.selectItem = false;
                this.page.propsTip.visible = false;
            });
            PageManager.MaskArea.clearUnHit();
            PageManager.MaskArea.appendUnHit(function (graphic) {
                graphic.drawRect(0, self.page.cellGroup.y, 750, 1200, "#ffffff");
            });
        };
        /** 销毁缩放timeline */
        GamePageController.prototype.destroyAnimationArr = function () {
            var self = this;
            if (self.arr != null) {
                var len = self.arr.length;
                for (var i = 0; i < len; i++) {
                    self.arr[i].destroy();
                }
                self.arr.splice(0);
            }
        };
        GamePageController.prototype.pauseGame = function () {
            var _this = this;
            PageManager.DialogMask.ActiveSelf();
            var dialog = new ui.view.GamePauseViewUI();
            var self = this;
            var ismusic = localStorage.getItem("music");
            var isaudio = localStorage.getItem("audio");
            var image = dialog.music.getChildAt(0);
            var imageLbl = dialog.music.getChildAt(1);
            if (ismusic == "0") {
                image.skin = "imgs/gameMain/music_off.png";
                imageLbl.text = "音乐:关";
            }
            else {
                image.skin = "imgs/gameMain/music_on.png";
                imageLbl.text = "音乐:开";
            }
            var audio = dialog.audio.getChildAt(0);
            var audioLbl = dialog.audio.getChildAt(1);
            if (isaudio == "0") {
                audio.skin = "imgs/gameMain/audio_off.png";
                audioLbl.text = "音效:关";
            }
            else {
                audio.skin = "imgs/gameMain/audio_on.png";
                audioLbl.text = "音效:开";
            }
            dialog.music.on(Laya.Event.CLICK, this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                if (ismusic == "0") {
                    image.skin = "imgs/gameMain/music_on.png";
                    imageLbl.text = "音乐:开";
                    ismusic = "1";
                    if (controller.AudioController.ismusic) {
                        controller.EntryController.AudioController.resumeAudio();
                    }
                    else {
                        controller.EntryController.AudioController.playSound(gameConst.soundList.BACKGROUND_AUDIO, 0, 0, true);
                    }
                }
                else {
                    image.skin = "imgs/gameMain/music_off.png";
                    imageLbl.text = "音乐:关";
                    ismusic = "0";
                    controller.EntryController.AudioController.pauseAuido();
                }
                console.log(ismusic);
                localStorage.setItem("music", ismusic);
            });
            dialog.audio.on(Laya.Event.CLICK, this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                if (isaudio == "0") {
                    audio.skin = "imgs/gameMain/audio_on.png";
                    audioLbl.text = "音效:开";
                    isaudio = "1";
                }
                else {
                    audio.skin = "imgs/gameMain/audio_off.png";
                    audioLbl.text = "音效:关";
                    isaudio = "0";
                }
                console.log(isaudio);
                localStorage.setItem("audio", isaudio);
            });
            dialog.replay.once(Laya.Event.CLICK, this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                var fun = function () {
                    dialog.close();
                    Global.Reset();
                    self.destroyAnimationArr();
                    _this.model.cellsStage && _this.model.cellsStage.forEach(function (item, index) {
                        if (item) {
                            _this.model.deleteCell(index, -1);
                        }
                    });
                    utils.EventHelper.fire(gameConst.RePlayStage);
                };
                utils.Navite.js2native("replay", "");
                utils.Navite.native2js("replay", function () {
                    fun();
                });
            });
            dialog.resume.name = Laya.Dialog.CLOSE;
            dialog.show();
            dialog.closeHandler = Handler.create(this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                dialog.destroy();
                PageManager.DialogMask.DeActiveSelf();
            });
        };
        GamePageController.prototype.revive = function () {
            var _this = this;
            this.model.cellsStage.forEach(function (item, index) {
                if (item) {
                    _this.model.deleteCell(index, -1);
                }
            });
            Global.currentScore = Global.lastStageScore;
            this.page.showStageTitleAni();
        };
        GamePageController.prototype.addItems = function (double) {
            for (var i = 0, length = Global.OffLineRewardList.length; i < length; i++) {
                var data = Global.OffLineRewardList[i];
                view.LoadingDialog.showLoading();
                Player.addItem(data.type, data.num, true).then(function () {
                    view.LoadingDialog.hideLoading();
                    new view.GiftTip(data.type, data.num * double, data.name).show();
                }).catch(function (error) {
                    view.CustomTipDialog.showTip(error);
                    view.LoadingDialog.hideLoading();
                });
                Player.addItem(data.type, data.num * 2, false);
            }
        };
        GamePageController.prototype.playVideo = function () {
            var self = this;
            return new Promise(function (resolve, reject) {
                utils.EventHelper.fire(gameConst.PauseAudio);
                controller.EntryController.WXCTL.playVideoAD().then(function () {
                    utils.EventHelper.fire(gameConst.ResumeAudio);
                    resolve();
                }).catch(function (error) {
                    utils.EventHelper.fire(gameConst.ResumeAudio);
                    reject(error);
                });
            });
        };
        return GamePageController;
    }(controller.BaseController));
    controller.GamePageController = GamePageController;
})(controller || (controller = {}));
//# sourceMappingURL=GamePageController.js.map