var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var controller;
(function (controller) {
    var RankPageController = /** @class */ (function (_super) {
        __extends(RankPageController, _super);
        function RankPageController(page) {
            var _this = _super.call(this, page) || this;
            _this.page = page;
            _this.onViewAddToStage;
            _this.onViewRemovedFromStage;
            return _this;
        }
        RankPageController.prototype.onViewAddToStage = function () {
            utils.EventHelper.register(gameConst.OnButtonClick, this.onButtonClick, this);
        };
        RankPageController.prototype.onViewRemovedFromStage = function () {
            utils.EventHelper.remove(gameConst.OnButtonClick, this.onButtonClick, this);
        };
        RankPageController.prototype.onButtonClick = function (event, type) {
            switch (type) {
                case "ShowGroupRank":
                    controller.EntryController.WXCTL.shareShow({ tag: "showGroupRank" });
                    controller.EntryController.WXCTL.aldSendEvent("点击按钮", "按钮名称", "获取群排行榜");
                    break;
                case "CloseRank":
                    this.page.closeRankList();
                    break;
            }
        };
        RankPageController.prototype.onReceiveData = function (tickets) {
            this.page.getGroupRank(tickets);
        };
        return RankPageController;
    }(controller.BaseController));
    controller.RankPageController = RankPageController;
})(controller || (controller = {}));
//# sourceMappingURL=RankPageController.js.map