var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**Created by the LayaAirIDE*/
var view;
(function (view) {
    var InviteItem = /** @class */ (function (_super) {
        __extends(InviteItem, _super);
        function InviteItem() {
            return _super.call(this) || this;
        }
        InviteItem.prototype.setData = function (info) {
            var self = this;
            if (info.head === "") {
                self.imgHead.skin = "assets/gem/InviteUi_icon_2.png";
            }
            else {
                self.imgHead.skin = info.head;
            }
            self.labRank.changeText(info.id.toString());
            self.labNum.changeText("+" + info.diamondNum.toString());
            //未邀请
            if (info.state == 2) {
                self.labGot.visible = true;
                self.labGot.changeText("未邀请");
                self.btnGet.visible = false;
            }
            //已邀请，未领取
            else if (info.state == 0) {
                self.labGot.visible = false;
                self.btnGet.visible = true;
                self.btnGet.once(Laya.Event.CLICK, self, self.onClickItem, [info]);
            }
            //已领取
            else if (info.state == 1) {
                self.labGot.visible = true;
                self.labGot.changeText("已领取");
                self.btnGet.visible = false;
            }
        };
        InviteItem.prototype.onClickItem = function (info) {
            utils.APIHelper.InviteReward(info.inviteid);
            info.state = 1;
            var self = this;
            self.labGot.visible = true;
            self.labGot.changeText("已领取");
            self.btnGet.visible = false;
        };
        return InviteItem;
    }(ui.view.InviteItemUI));
    view.InviteItem = InviteItem;
})(view || (view = {}));
//# sourceMappingURL=InviteItem.js.map