var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var view;
(function (view) {
    var Sprite = Laya.Sprite;
    var HitArea = Laya.HitArea;
    var MaskArea = /** @class */ (function (_super) {
        __extends(MaskArea, _super);
        function MaskArea() {
            var _this = _super.call(this) || this;
            _this.preTweenComp = -1;
            _this.refCount = 0;
            _this.alpha = 0.5;
            // this.graphics.loadImage("comp/bg.png",0,0,Laya.stage.width,Laya.stage.height)
            _this.cacheAs = "bitmap";
            _this.maskArea = new Sprite();
            _this.addChild(_this.maskArea);
            _this.interactionArea = new Sprite();
            _this.size(Laya.stage.width, Laya.stage.height);
            _this.customhitarea = new HitArea();
            _this.interactionArea.blendMode = "destination-out";
            _this.addChild(_this.interactionArea);
            _this.maskArea.graphics.drawRect(0, 0, Laya.stage.width, Laya.stage.height, "#000000");
            _this.customhitarea.hit.drawRect(0, 0, Laya.stage.width, Laya.stage.height, "#000000");
            _this.hitArea = _this.customhitarea;
            _this.mouseEnabled = true;
            _this.on(Laya.Event.CLICK, _this, function () { });
            return _this;
        }
        MaskArea.prototype.appendUnHit = function (func) {
            this.alpha = 0.5;
            func(this.customhitarea.unHit);
            func(this.interactionArea.graphics);
        };
        MaskArea.prototype.clearUnHit = function () {
            this.customhitarea.unHit.clear();
            this.interactionArea.graphics.clear();
        };
        MaskArea.prototype.fadeMask = function (startAlpha, endAlpha, durTime, func) {
            var self = this;
            // 
            return new Promise(function (resolve, reject) {
                var delay = 0;
                if (self.preTweenComp > 0) {
                    delay = self.preTweenComp - Date.now();
                }
                else
                    self.alpha = startAlpha;
                self.preTweenComp = Date.now() + durTime + delay;
                Laya.Tween.to(self, { alpha: endAlpha }, durTime, func, Laya.Handler.create(self, function () { self.preTweenComp = -1; resolve(); }), delay > 0 ? delay : 0, false);
            });
        };
        MaskArea.prototype.ActiveSelf = function () {
            this.refCount += 1;
            this.visible = true;
            console.log(this.refCount);
        };
        MaskArea.prototype.DeActiveSelf = function () {
            this.refCount -= 1;
            console.log(this.refCount);
            if (this.refCount <= 0) {
                this.refCount = 0;
                this.visible = false;
            }
        };
        return MaskArea;
    }(Sprite));
    view.MaskArea = MaskArea;
})(view || (view = {}));
//# sourceMappingURL=MaskArea.js.map