var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var view;
(function (view) {
    var Player = model.Player;
    var PropsPage = /** @class */ (function (_super) {
        __extends(PropsPage, _super);
        function PropsPage() {
            var _this = _super.call(this) || this;
            _this.shown = false;
            _this.back.on(Laya.Event.CLICK, _this, function () {
                PageManager.getInstance().back();
            });
            _this.appealGroup.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.WXCTL.shareHelp("AppealProps");
                utils.EventHelper.register(gameConst.SharedCallBack, _this.onShare, _this);
            });
            return _this;
        }
        PropsPage.prototype.showPage = function (data) {
            var _this = this;
            if (this.shown)
                return;
            var self = this;
            return new Promise(function (resolve, reject) {
                view.CreateTween(self.propsGroup, { scaleX: 1, scaleY: 1, alpha: 1 }, Global.PageAnimatorDuration, Handler.create(_this, function () {
                    resolve();
                    self.shown = true;
                    self.getUserData();
                }));
                view.BackGround.showMask();
            });
        };
        PropsPage.prototype.hidePage = function () {
            if (!this.shown)
                return;
            var self = this;
            return new Promise(function (resolve, reject) {
                view.CreateTween(self.propsGroup, { scaleX: 0, scaleY: 0, alpha: 0 }, Global.PageAnimatorDuration, Handler.create(self, function () {
                    resolve();
                    self.shown = false;
                }));
                view.BackGround.hideMask();
            });
        };
        Object.defineProperty(PropsPage.prototype, "target", {
            get: function () {
                return this;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(PropsPage.prototype, "pageName", {
            get: function () {
                return Global.Pages.PropsPage;
            },
            enumerable: false,
            configurable: true
        });
        PropsPage.prototype.onShare = function (event, action, result) {
            var _this = this;
            utils.EventHelper.remove(gameConst.SharedCallBack, this.onShare, this);
            if (action === "AppealProps" && result) {
                if (Player.instance.HasGot >= 5) {
                    view.CustomTipDialog.showTip("请明天再试试！");
                    return;
                }
                view.LoadingDialog.showLoading();
                var id = Math.ceil(Math.random() * 3);
                Player.addItem(id, 1).then(function () {
                    view.LoadingDialog.hideLoading();
                    Player.instance.HasGot++;
                    _this.getUserData();
                }).catch(function () {
                    view.LoadingDialog.hideLoading();
                    view.CustomTipDialog.showTip("请检查网络");
                });
            }
        };
        PropsPage.prototype.getUserData = function () {
            var _this = this;
            view.LoadingDialog.showLoading();
            var self = this;
            model.Player.getUserData().then(function () {
                var p = Player.instance;
                _this.brushProp.text = p.BrushCount % 100 + "";
                _this.bombProp.text = p.BombCount % 100 + "";
                _this.freshProp.text = p.RefreshCount % 100 + "";
                _this.limit.text = "今日已获得" + (p.HasGot ? p.HasGot : 0) + "/" + p.Limit;
                view.LoadingDialog.hideLoading();
            }).catch(function () {
                view.LoadingDialog.hideLoading();
                PageManager.DialogMask.ActiveSelf();
                var miss = new ui.view.MissConnectDialogUI();
                miss.back.name = Laya.Dialog.CLOSE;
                miss.retry.name = Laya.Dialog.OK;
                miss.retry.once(Laya.Event.CLICK, self, function () {
                    Global.sysBusy = false;
                    PageManager.DialogMask.DeActiveSelf();
                    self.getUserData();
                });
                miss.closeHandler = Handler.create(self, function () {
                    Global.sysBusy = false;
                    PageManager.DialogMask.DeActiveSelf();
                    miss.destroy();
                });
                miss.show(true, true);
            });
        };
        return PropsPage;
    }(ui.view.PropsPageUI));
    view.PropsPage = PropsPage;
})(view || (view = {}));
//# sourceMappingURL=PropsPage.js.map