var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var view;
(function (view) {
    var StarCellItem = /** @class */ (function (_super) {
        __extends(StarCellItem, _super);
        function StarCellItem(source) {
            var _this = _super.call(this) || this;
            _this._board = false;
            _this.baseSource = "";
            _this.width = gameConst.CELLSIZE;
            _this.height = gameConst.CELLSIZE;
            _this.pivotX = gameConst.CELLSIZE / 2;
            _this.pivotY = gameConst.CELLSIZE / 2;
            !StarCellItem.box && (StarCellItem.box = Laya.loader.getRes("assets/gamepage/ani_icon_2.png"));
            _this.baseSource = source;
            _this.source = source;
            return _this;
        }
        StarCellItem.prototype.setBoard = function (value, draw) {
            if (draw === void 0) { draw = false; }
            this._board = value;
            if (draw)
                this.draw();
        };
        StarCellItem.prototype.draw = function () {
            this.graphics.clear(true);
            this.graphics.loadImage(this.source, 0.5, 0.5, 74, 74);
            this._board && this.graphics.drawTexture(StarCellItem.box, 0, 0, 75, 75);
        };
        StarCellItem.prototype.clearLight = function () {
            this.scaleX = 1;
            this.scaleY = 1;
            this._board = false;
            this.graphics.clear();
            this.graphics.loadImage(this.source, 0.5, 0.5, 74, 74);
        };
        StarCellItem.prototype.clear = function () {
            this.graphics.clear();
        };
        StarCellItem.prototype.chageColor = function (target) {
            var _this = this;
            view.CreateTween(this, { scaleX: 0.2, scaleY: 0.2 }, 200, Handler.create(this, function () {
                view.CreateTween(_this, { scaleX: 1, scaleY: 1 }, 200, Handler.create(_this, function () {
                    _this.clear();
                    _this.source = target;
                    _this.graphics.loadImage(_this.source, 0.5, 0.5, 74, 74);
                }));
            }));
        };
        StarCellItem.prototype.reset = function () {
            this.clear();
            if (this.source != this.baseSource) {
                this.source = this.baseSource;
            }
            this._board = false;
            // this.draw();
        };
        StarCellItem.prototype.updateStar = function (cell, change) {
            if (change === void 0) { change = false; }
            var index_x = cell.cellPosition_x;
            var index_y = cell.cellPosition_y;
            var type = cell.cellType;
            var select = cell.selected;
            var target_y = gameConst.CELLSIZE * 10 - (index_y * gameConst.CELLSIZE + gameConst.CELLSIZE) + gameConst.CELLSIZE / 2;
            var target_x = index_x * gameConst.CELLSIZE + gameConst.CELLSIZE / 2;
            ;
            this.setBoard(select, true);
            view.CreateTween(this, { y: target_y, x: target_x }, 100);
        };
        return StarCellItem;
    }(Laya.Sprite));
    view.StarCellItem = StarCellItem;
})(view || (view = {}));
//# sourceMappingURL=StarCellItem.js.map