var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*
* 星星特效;
*/
var view;
(function (view) {
    var StarEffectDialog = /** @class */ (function (_super) {
        __extends(StarEffectDialog, _super);
        function StarEffectDialog() {
            var _this = _super.call(this) || this;
            _this.count = 0;
            _this.init();
            return _this;
        }
        StarEffectDialog.prototype.init = function () {
            var self = this;
            self.mouseThrough = true;
            self.count = 0;
            self.alphaSwitch = true;
            Laya.timer.frameLoop(1, this, this.onLoop);
        };
        StarEffectDialog.prototype.onLoop = function () {
            this.bg.rotation++;
            this.count++;
            if (this.alphaSwitch) {
                this.star1.alpha -= 0.05;
                this.star2.alpha -= 0.05;
                this.star3.alpha -= 0.05;
                this.star4.alpha -= 0.05;
            }
            else {
                this.star1.alpha += 0.05;
                this.star2.alpha += 0.05;
                this.star3.alpha += 0.05;
                this.star4.alpha += 0.05;
            }
            if (this.count % 30 == 0) {
                this.alphaSwitch = !this.alphaSwitch;
            }
            if (this.count >= 120) {
                this.close();
            }
        };
        StarEffectDialog.prototype.onClose = function () {
            _super.prototype.onClosed.call(this);
            Laya.timer.clear(this, this.onLoop);
        };
        return StarEffectDialog;
    }(ui.view.StarEffectDialogUI));
    view.StarEffectDialog = StarEffectDialog;
})(view || (view = {}));
//# sourceMappingURL=StarEffectDialog.js.map