var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var view;
(function (view) {
    var TipObject = /** @class */ (function (_super) {
        __extends(TipObject, _super);
        function TipObject() {
            var _this = _super.call(this) || this;
            _this.source = "";
            _this.shown = false;
            _this.y = 400;
            _this.autoSize = true;
            return _this;
        }
        TipObject.prototype.showPage = function (data) {
            var _this = this;
            if (this.shown)
                return;
            // if (data) {
            // 	this.graphics.loadImage(data);
            // }
            if (data) {
                this.tipImg = data;
                this.addChild(this.tipImg);
                this.tipImg.x = -this.tipImg.width / 4;
                this.tipImg.y = Global.offsetY;
            }
            else {
                this.source = data;
            }
            var self = this;
            var x_target = 375 - this.width / 2;
            this.x = -this.width;
            return new Promise(function (resolve, reject) {
                Laya.Tween.to(_this, { x: x_target, alpha: 1 }, Global.PageAnimatorDuration, Laya.Ease.linearIn, Handler.create(_this, function () {
                    resolve();
                    self.shown = true;
                    Laya.timer.once(200, _this, function () { return PageManager.getInstance().hideTip(_this); });
                }));
            });
        };
        TipObject.prototype.hidePage = function () {
            var _this = this;
            if (!this.shown)
                return;
            var self = this;
            return new Promise(function (resolve, reject) {
                Laya.Tween.to(_this, { x: 750, alpha: 0 }, Global.PageAnimatorDuration, Laya.Ease.linearIn, Handler.create(_this, function () {
                    resolve();
                    self.shown = false;
                    utils.Pool.collectObjectToPool("TipObject", _this);
                    if (_this.tipImg != null) {
                        _this.removeChild(_this.tipImg);
                    }
                    else {
                        Laya.loader.clearTextureRes(_this.source);
                    }
                }));
            });
        };
        Object.defineProperty(TipObject.prototype, "target", {
            get: function () {
                return this;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(TipObject.prototype, "pageName", {
            get: function () {
                return Global.Pages.TipObject;
            },
            enumerable: false,
            configurable: true
        });
        return TipObject;
    }(view.BaseUIPage));
    view.TipObject = TipObject;
})(view || (view = {}));
//# sourceMappingURL=TipObject.js.map