var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/*
* 游戏内嵌窗口;
*/
var InterAdDialog = /** @class */ (function (_super) {
    __extends(InterAdDialog, _super);
    function InterAdDialog() {
        var _this = _super.call(this) || this;
        /**showType（展示的类型）: 0: drwer 抽屉式的 1:dualFloat 悬浮式 2：inter_a 内嵌式 3:youlike 猜你喜欢 */
        _this.showType = 2;
        _this.Init();
        return _this;
    }
    /**初始化 */
    InterAdDialog.prototype.Init = function () {
        this.InitData();
        this.InitView();
        this.InitEvent();
    };
    /**初始化数据 */
    InterAdDialog.prototype.InitData = function () {
    };
    /**初始化视图 */
    InterAdDialog.prototype.InitView = function () {
        var shadow = new Laya.Sprite();
        shadow.graphics.drawRect(0, 0, Laya.stage.width, Laya.stage.height, '#000000');
        shadow.alpha = 0.7;
        this.addChildAt(shadow, 0);
        var adContent = GameData.AdData[this.showType].content;
        var adWidth = parseInt(GameData.AdData[this.showType].width) + 26;
        var adHeight = parseInt(GameData.AdData[this.showType].height) + 26 + 50;
        for (var i = 0; i < adContent.length; i++) {
            var adItem = new view.SingleAdItem(this.showType, i);
            adItem.SetAdSize(adWidth, adHeight);
            adItem.Init();
            this.Box_ShowAd.addChildAt(adItem, 1);
            adItem.AldShowEvent();
            var indexX = Math.floor(i % 3);
            var indexY = Math.floor(i / 3);
            adItem.x = adWidth * indexX + (indexX + 1) * 15;
            adItem.y = adHeight * indexY + (indexY + 1) * 15;
        }
        this.Label_InterAdTitle.fontSize = 40;
        this.Label_InterAdTitle.color = "#F7D14C";
    };
    /**初始化事件 */
    InterAdDialog.prototype.InitEvent = function () {
        this.Img_CloseBtn.on(Laya.Event.MOUSE_DOWN, this, this.OnClickCloseBtn);
    };
    /**点击关闭按钮 */
    InterAdDialog.prototype.OnClickCloseBtn = function () {
        this.Hide();
    };
    /**显示页面[用不到应该] */
    InterAdDialog.prototype.Show = function () {
        Laya.Tween.to(this, { y: 0 }, 1000, Laya.Ease.sineOut);
    };
    /**隐藏 */
    InterAdDialog.prototype.Hide = function () {
        Laya.Tween.to(this, { y: -this.height }, 1000, Laya.Ease.sineIn, Laya.Handler.create(this, this.Destory));
    };
    /**摧毁该页面 */
    InterAdDialog.prototype.Destory = function () {
        Laya.Tween.clearTween(this);
        this.parent.removeChild(this);
    };
    return InterAdDialog;
}(ui.view.CustomAd.GameInterAdDialogUIUI));
//# sourceMappingURL=InterAdDialog.js.map