var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
* name
*/
var view;
(function (view) {
    var DiamondPage = /** @class */ (function (_super) {
        __extends(DiamondPage, _super);
        function DiamondPage() {
            var _this = _super.call(this) || this;
            _this.pageName = Global.Pages.DiaMondPage;
            _this.shown = false;
            _this.mask.graphics.drawRect(0, 0, Laya.stage.width, Laya.stage.height + 300, new Laya.Color(0, 0, 0, 0));
            _this.back.on(Laya.Event.CLICK, _this, function () {
                PageManager.getInstance().back();
            });
            _this.appealGroup.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.WXCTL.shareHelp("AppealProp", "uid=" + Global.uid + "&shareToken=" + utils.token + "&site=1");
            });
            return _this;
        }
        DiamondPage.prototype.showPage = function (data) {
            var _this = this;
            if (this.shown)
                return;
            var self = this;
            controller.EntryController.WXCTL.getSetting();
            self.init();
            return new Promise(function (resolve, reject) {
                view.CreateTween(_this, { scaleX: 1, scaleY: 1 }, Global.PageAnimatorDuration, Handler.create(self, function () {
                    resolve();
                    self.shown = true;
                }));
                view.CreateTween(self.graphics, { alpha: 0.5 }, Global.PageAnimatorDuration);
            });
        };
        DiamondPage.prototype.hidePage = function () {
            var _this = this;
            if (!this.shown)
                return;
            var self = this;
            self.inviteData.splice(0);
            self.inviteData = null;
            controller.EntryController.WXCTL.destroyAuthor();
            utils.EventHelper.fire(gameConst.RefreshProps);
            return new Promise(function (resolve, reject) {
                view.CreateTween(_this, { scaleX: 0, scaleY: 0 }, Global.PageAnimatorDuration, Handler.create(self, function () {
                    resolve();
                    self.shown = false;
                }));
                view.CreateTween(self.graphics, { alpha: 0 }, Global.PageAnimatorDuration);
            });
        };
        DiamondPage.prototype.init = function () {
            var self = this;
            self.inviteData = new Array();
            //初始化背包list
            self.list.itemRender = view.InviteItem;
            self.list.renderHandler = new Laya.Handler(self, self.updataItem);
            self.list.selectEnable = true;
            self.list.array = self.inviteData;
            self.list.scrollBar.hide = true;
            var info;
            utils.APIHelper.InviteRecord().then(function (data) {
                console.log("InviteRecord  recieve  ", data);
                var index = 1;
                data.forEach(function (element) {
                    info = new inviteItemInfo();
                    info.id = index;
                    info.inviteid = element.invite_id;
                    info.head = element.avatarurl;
                    info.state = element.status;
                    info.diamondNum = Global.inviteDimondNum;
                    self.inviteData.push(info);
                    index++;
                });
                for (var i = index; i <= 99; i++) {
                    info = new inviteItemInfo();
                    info.id = i;
                    info.head = "";
                    info.state = 2;
                    info.diamondNum = Global.inviteDimondNum;
                    self.inviteData.push(info);
                }
                self.list.array = self.inviteData;
            }).catch(function (error) {
                console.log("InviteRecord  error  ", error);
            });
        };
        DiamondPage.prototype.updataItem = function (cell, index) {
            var data = cell.dataSource;
            cell.setData(data);
        };
        return DiamondPage;
    }(ui.view.DiamondPageUI));
    view.DiamondPage = DiamondPage;
    var inviteItemInfo = /** @class */ (function () {
        function inviteItemInfo() {
        }
        return inviteItemInfo;
    }());
    view.inviteItemInfo = inviteItemInfo;
})(view || (view = {}));
//# sourceMappingURL=DiamondPage.js.map