/**
* name
*/
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var view;
(function (view) {
    function CreateTween(target, prop, duration, complete) {
        Laya.Tween.to(target, prop, duration, Laya.Ease.linearIn, complete, 0, true, true);
    }
    view.CreateTween = CreateTween;
    var GameMainPage = /** @class */ (function (_super) {
        __extends(GameMainPage, _super);
        function GameMainPage() {
            var _this = _super.call(this) || this;
            _this.shown = false;
            /**
             * 更新分数
             */
            _this.isFirstUpdate = false;
            _this.addScore = 0;
            _this.isFail = false;
            _this.tmpScore = 0;
            _this.currentTimeOut = -1;
            Laya.MouseManager.multiTouchEnabled = false;
            _this.refreshBtn.propsBtn.skin = "imgs/gameMain/buff_1.png";
            _this.boomBtn.propsBtn.skin = "imgs/gameMain/buff_2.png";
            _this.brushBtn.propsBtn.skin = "imgs/gameMain/buff_3.png";
            _this.propGroup.visible = false;
            _this.propsTip.visible = false;
            _this.haobaoAni.loadAtlas("imgs/gameMain/img.atlas");
            _this.haobaoAni.play();
            _this.activityAni.loadAtlas("imgs/gameMain/activity_618.atlas");
            _this.activityAni.play();
            utils.Navite.native2js("hideactiviy", function (data) {
                if (data == "1") {
                    _this.activityAni.visible = true;
                }
                else {
                    _this.activityAni.visible = false;
                }
            });
            _this.moreDiamondAni.loadAtlas("imgs/gameMain/cash.atlas");
            _this.moreDiamondAni.play();
            utils.Navite.js2native("loaded", "");
            window.localStorage.setItem("first_load_game", 1 + "");
            var level = window.localStorage.getItem("level");
            if (level) {
                Global.currentStage2 = parseInt(level);
                console.log("constructor level" + Global.currentStage2);
            }
            else {
                Global.currentStage2 = 1;
            }
            var score = window.localStorage.getItem("score");
            if (score) {
                Global.currentScore2 = parseInt(score);
                _this.addScore = Global.currentScore2;
            }
            utils.Navite.native2js("setlevel", function (data) {
                Global.currentStage2 = data;
                Global.currentScore2 = self.tmpScore;
                var globalScore = (2000 * Global.currentStage2 - 1000);
                if (Global.currentScore2 > globalScore) {
                    globalScore = Global.currentScore2 + 1000;
                }
                console.log("score is " + Global.currentScore2);
                self.goalTitle.text = globalScore + "";
                self.stageLabel.text = Global.currentStage2 + "";
                window.localStorage.setItem("level", level + "");
                window.localStorage.setItem("score", Global.currentScore2 + "");
                self.title.text = Global.currentStage2 + "";
            });
            utils.Navite.native2js("skiphome", function (data) {
                window.localStorage.setItem("skiphome", data + "");
            });
            utils.Navite.native2js("setcash", function (data) {
                self.diamondLabel.text = data;
            });
            utils.Navite.native2js("guide", function (idx, data) {
                utils.EventHelper.fire(gameConst.OnButtonClick, "Guide", idx, data);
            });
            _this.haobaoAni.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                utils.Navite.js2native("rushhongbao", "");
            });
            _this.activityAni.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                utils.Navite.js2native("activity618", "");
            });
            _this.refreshBtn.propsBtn.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                utils.Navite.js2native("props", 1 + "");
                utils.Navite.native2js("props", function () {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", 1);
                });
            });
            _this.boomBtn.propsBtn.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                utils.Navite.js2native("props", 2 + "");
                utils.Navite.native2js("props", function () {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", 2);
                });
            });
            _this.brushBtn.propsBtn.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                utils.Navite.js2native("props", 3 + "");
                utils.Navite.native2js("props", function () {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "ItemSelect", 3);
                });
            });
            _this.moreDiamond.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                utils.Navite.js2native("cash", "");
            });
            var self = _this;
            utils.Navite.native2js("hidecash", function (data) {
                self.moreDiamond.visible = false;
            });
            utils.Navite.native2js("showcash", function (data) {
                self.moreDiamond.visible = true;
            });
            utils.Navite.native2js("pass", function () {
                self.thfun(true);
            });
            _this.propsCancel.on(Laya.Event.CLICK, _this, function () {
                controller.EntryController.AudioController.playSound(gameConst.soundList.BUTTON_CLICK_AUDIO, 0, 1, false);
                _this.propsTip.visible = false;
                _this.propGroup.visible = false;
                Global.selectItem = false;
                PageManager.MaskArea.clearUnHit();
                PageManager.MaskArea.DeActiveSelf();
            });
            _this.item1.on(Laya.Event.CLICK, _this, _this.onPropsItemClick.bind(_this, 0));
            _this.item2.on(Laya.Event.CLICK, _this, _this.onPropsItemClick.bind(_this, 1));
            _this.item3.on(Laya.Event.CLICK, _this, _this.onPropsItemClick.bind(_this, 2));
            _this.item4.on(Laya.Event.CLICK, _this, _this.onPropsItemClick.bind(_this, 3));
            _this.item5.on(Laya.Event.CLICK, _this, _this.onPropsItemClick.bind(_this, 4));
            _this.pause.on(Laya.Event.CLICK, _this, function () {
                utils.EventHelper.fire(gameConst.OnButtonClick, "PauseGame");
            });
            _this.remainScore.visible = false;
            _this.stageGiftGet.on(Laya.Event.CLICK, _this, function () {
                utils.EventHelper.fire(gameConst.OnButtonClick, "StageGiftGet");
            });
            _this.toolItem.btnAdd1.on(Laya.Event.CLICK, _this, function () { utils.EventHelper.fire(gameConst.OnButtonClick, "AddProp", 1, 3); });
            _this.toolItem.btnAdd2.on(Laya.Event.CLICK, _this, function () { utils.EventHelper.fire(gameConst.OnButtonClick, "AddProp", 2, 3); });
            _this.toolItem.btnAdd3.on(Laya.Event.CLICK, _this, function () { utils.EventHelper.fire(gameConst.OnButtonClick, "AddProp", 3, 3); });
            _this.toolItem.iconProp1.on(Laya.Event.CLICK, _this, function () {
                if (Player.instance.RefreshCount <= 0) {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "AddProp", 1, 1);
                }
            });
            _this.toolItem.iconProp2.on(Laya.Event.CLICK, _this, function () {
                if (Player.instance.BombCount <= 0) {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "AddProp", 2, 1);
                }
            });
            _this.toolItem.iconProp3.on(Laya.Event.CLICK, _this, function () {
                if (Player.instance.BrushCount <= 0) {
                    utils.EventHelper.fire(gameConst.OnButtonClick, "AddProp", 3, 1);
                }
            });
            var is_first_load_game = window.localStorage.getItem("first_load_game");
            var is_skiphome = window.localStorage.getItem("skiphome");
            if (is_first_load_game && is_skiphome == "1" && !GameMainPage.loaded) {
                utils.Navite.js2native("loaded", "");
                GameMainPage.loaded = true;
            }
            return _this;
        }
        GameMainPage.prototype.showPage = function (data) {
            var _this = this;
            if (this.shown)
                return Promise.resolve();
            view.BackGround.switchBackGround("imgs/menu/new_bg.png");
            this.x = 750;
            this.showPropsNum();
            var self = this;
            return new Promise(function (resolve, reject) {
                CreateTween(self, { x: 0 }, Global.PageAnimatorDuration, Handler.create(_this, function () {
                    self.shown = true;
                    resolve();
                }));
            });
        };
        GameMainPage.prototype.hidePage = function () {
            var _this = this;
            if (!this.shown)
                return Promise.resolve();
            var self = this;
            return new Promise(function (resolve, reject) {
                CreateTween(self, { x: 750 }, Global.PageAnimatorDuration, Handler.create(_this, function () {
                    resolve();
                    self.shown = false;
                }));
            });
        };
        Object.defineProperty(GameMainPage.prototype, "pageName", {
            get: function () {
                return Global.Pages.MainGame;
            },
            enumerable: false,
            configurable: true
        });
        GameMainPage.prototype.buyProps = function (prop) {
            var p = model.Player.instance;
            PageManager.DialogMask.ActiveSelf();
            var dialog = new ui.view.MissConnectDialog1UI();
            dialog.closeHandler = Handler.create(this, function () {
                dialog.destroy();
                PageManager.DialogMask.DeActiveSelf();
            });
            var self = this;
            dialog.label.text = p.DiamondCount > prop.price ? "确认花费" + prop.price + "个钻石购买？" : "钻石数量不够！";
            dialog.show();
            // dialog.back.name = Dialog.CLOSE;
            // dialog.ok.once(Laya.Event.CLICK, this, () => {
            // 	if (p.DiamondCount > prop.price) {
            // 		model.Player.buyProp(prop)
            // 			.then((res) => {
            // 				console.log("res =" + res);
            // 				self.showPropsNum()
            // 				dialog.close();
            // 			})
            // 			.catch(() => {
            // 				dialog.label.text = "购买失败";
            // 				dialog.ok.once(Laya.Event.CLICK, this, () => dialog.close());
            // 			})
            // 	}
            // 	else {
            // 		dialog.close();
            // 	}
            // })
        };
        GameMainPage.prototype.showPropsNum = function () {
            var self = this;
            utils.Navite.native2js("setcash", function (data) {
                self.diamondLabel.text = data;
            });
        };
        GameMainPage.prototype.onStarSelected = function (star, cell) {
            this.propsCancel.visible = !gameSetting.Guide;
            this.propsTip.visible = false;
            var point = this.cellGroup.localToGlobal(new Laya.Point(star.x, star.y));
            this.propGroup.visible = true;
            this.propGroup.y = 368 + star.y - 187 + (cell.cellPosition_y === 9 ? 180 : 0);
            this.propsArrow2.visible = cell.cellPosition_y === 9;
            this.propsArrow.visible = cell.cellPosition_y !== 9;
            this.propsArrow2.x = point.x - 37.5;
            this.propsArrow.x = point.x - 37.5;
            this.currentSelectCell = cell;
            var self = this;
            PageManager.MaskArea.clearUnHit();
            PageManager.MaskArea.appendUnHit(function (graphic) {
                var p1 = self.localToGlobal(new Laya.Point(self.propGroup.x, self.propGroup.y));
                var p2 = self.localToGlobal(new Laya.Point(750, self.propGroup.y + 187));
                graphic.drawRect(p1.x, p1.y, p2.x - p1.x, p2.y - p1.y, "#ffffff");
            });
        };
        GameMainPage.prototype.onPropsItemClick = function (type, e) {
            e.stopPropagation();
            utils.EventHelper.fire(gameConst.OnButtonClick, "PropUseClick", type);
            this.propGroup.visible = false;
        };
        /**
         * 展示关卡标题动画
         */
        GameMainPage.prototype.showStageTitleAni = function (type) {
            if (type === void 0) { type = gameConst.CreateCells; }
            this.remainScore.visible = false;
            this.title.visible = true;
            this.title.x = 750;
            CreateTween(this.title, { x: 0 }, 300, Handler.create(this, function () {
                var _this = this;
                Laya.timer.once(300, this, function () {
                    _this.title.visible = false;
                    utils.EventHelper.fire(type);
                });
            }));
        };
        /**
         * 创建星星
         */
        GameMainPage.prototype.createStar = function (cell) {
            var index_x = cell.cellPosition_x;
            var index_y = cell.cellPosition_y;
            var type = cell.cellType;
            var select = false;
            var name = "";
            switch (type) {
                case 0:
                    name = "star_view_red";
                    break;
                case 1:
                    name = "star_view_blue";
                    break;
                case 2:
                    name = "star_view_green";
                    break;
                case 3:
                    name = "star_view_yellow";
                    break;
                case 4:
                    name = "star_view_purple";
                    break;
            }
            var star = utils.Pool.getObjectFromPool(name);
            this.cellGroup.addChild(star);
            star.y = -gameConst.CELLSIZE * 10;
            star.type = type;
            var end = gameConst.CELLSIZE * 10 - (index_y * gameConst.CELLSIZE + gameConst.CELLSIZE) + gameConst.CELLSIZE / 2;
            star.x = index_x * gameConst.CELLSIZE + gameConst.CELLSIZE / 2;
            CreateTween(star, { y: end }, 300);
            star.setBoard(cell.selected, true);
            utils.EventHelper.fire(gameConst.OnStarCreated, star, cell);
        };
        /**
         * 更新星星位置
         */
        GameMainPage.prototype.updateStar = function (star, cell, change) {
            if (change === void 0) { change = false; }
            var index_x = cell.cellPosition_x;
            var index_y = cell.cellPosition_y;
            var type = cell.cellType;
            var select = cell.selected;
            var target_y = gameConst.CELLSIZE * 10 - (index_y * gameConst.CELLSIZE + gameConst.CELLSIZE);
            var target_x = index_x * gameConst.CELLSIZE;
            star.setBoard(select, true);
            CreateTween(star, { y: target_y, x: target_x }, 100);
        };
        /**
         * 删除星星
         */
        GameMainPage.prototype.deleteStar = function (star, nofx) {
            var _this = this;
            if (nofx === void 0) { nofx = false; }
            this.cellGroup.removeChild(star);
            if (nofx)
                return;
            var temp = utils.Pool.getObjectFromPool("particle");
            if (temp == null)
                return;
            temp.emitter.clear();
            this.cellGroup.addChild(temp);
            temp.pos(star.x + 30, star.y + 30, true);
            temp.emitter.start(0.2);
            temp.play();
            Laya.timer.once(200, this, function () {
                temp.stop();
                temp.emitter.stop();
                temp.emitter.clear();
                _this.removeChild(temp);
                utils.Pool.collectObjectToPool("particle", temp);
            });
        };
        GameMainPage.prototype.updateScore = function () {
            if (!this.isFirstUpdate) {
                var score = window.localStorage.getItem("score");
                if (score) {
                    Global.currentScore2 = parseInt(score);
                }
                this.isFirstUpdate = true;
            }
            else {
                this.process.value = (Global.currentScore2 - this.addScore) / (parseFloat(this.goalTitle.text) - this.addScore);
            }
            utils.Navite.js2native("updatescore", Global.currentScore2 + "");
            this.curScore.text = Global.currentScore2 + "";
        };
        GameMainPage.prototype.updateRemainScore = function (score, end, total) {
            !this.remainScore.visible && (this.remainScore.visible = true);
            this.remainScore.text = "剩余星星得分:" + score + "\n" + ("\u5269\u4F59" + total + "\u9897\u661F\u661F");
        };
        GameMainPage.prototype.thfun = function (newStage) {
            if (!Global.currentStage2) {
                Global.currentStage2 = 1;
            }
            var globalScore = (2000 * Global.currentStage2 - 1000);
            if (Global.currentScore2 > globalScore) {
                globalScore = Global.currentScore2 + 1000;
            }
            this.process.value = 0;
            this.goalTitle.text = globalScore + "";
            this.stageLabel.text = Global.currentStage2 + "";
            this.title.text = "第" + Global.currentStage2 + "关";
            this.nextGroup.visible = false;
            newStage && this.showStageTitleAni(gameConst.CreateCells);
            //this.curScore.text = Global.currentScore2 + "";
            this.curScore.text = Global.currentScore2 + "";
            window.localStorage.setItem("level", this.stageLabel.text);
            console.log("Global.currentScore2:" + Global.currentScore2);
            this.addScore = Global.currentScore2;
        };
        GameMainPage.prototype.nextStage = function (newStage) {
            this.giftGroup.visible = false;
            if (GameMainPage.isfirst) {
                this.thfun(newStage);
                GameMainPage.isfirst = false;
            }
            else {
                this.tmpScore = Global.currentScore2;
                if (Global.currentScore2 > parseInt(this.goalTitle.text)) {
                    Global.currentStage2++;
                    utils.EventHelper.fire(gameConst.AccomplishStage);
                    utils.Navite.js2native("pass", Global.currentStage2 + "");
                    localStorage.setItem("level", Global.currentStage2 + "");
                    localStorage.setItem("score", Global.currentScore2 + "");
                }
                else {
                    if (!GameMainPage.isreplay) {
                        console.log("fail");
                        localStorage.setItem("score", this.addScore + "");
                        Global.currentScore2 = this.addScore;
                        utils.EventHelper.fire(gameConst.StageFailed);
                        utils.Navite.js2native("fail", Global.currentStage2 + "");
                    }
                }
            }
            GameMainPage.isreplay = false;
            // this.nextGoalLabel.text = Global.GetStageGoal(Global.currentStage) + "";
            this.endShareCanvas.texture = Global.sharedTexture;
            this.refreshItemCount();
            var self = this;
            return;
            // if (!newStage) {
            // 	fun();
            // 	return;
            // }
            // this.nextGoalLabel.text = Global.GetStageGoal(Global.currentStage) + "";
            // this.endShareCanvas.texture = Global.sharedTexture;
            // this.nextGroup.visible = true;
            // this.refreshItemCount();
            // this.btnNext.once(Laya.Event.CLICK, this, fun);
        };
        GameMainPage.prototype.refreshItemCount = function () {
            var self = this;
            if (Player.instance.RefreshCount > 0) {
                self.toolItem.labNum1.visible = true;
                self.toolItem.btnAdd1.visible = false;
                self.toolItem.labNum1.text = Player.instance.RefreshCount.toString();
            }
            else {
                self.toolItem.labNum1.visible = false;
                self.toolItem.btnAdd1.visible = true;
            }
            if (Player.instance.BombCount > 0) {
                self.toolItem.labNum2.visible = true;
                self.toolItem.btnAdd2.visible = false;
                self.toolItem.labNum2.text = Player.instance.BombCount.toString();
            }
            else {
                self.toolItem.labNum2.visible = false;
                self.toolItem.btnAdd2.visible = true;
            }
            if (Player.instance.BrushCount > 0) {
                self.toolItem.labNum3.visible = true;
                self.toolItem.btnAdd3.visible = false;
                self.toolItem.labNum3.text = Player.instance.BrushCount.toString();
            }
            else {
                self.toolItem.labNum3.visible = false;
                self.toolItem.btnAdd3.visible = true;
            }
            self.showPropsNum();
        };
        /**
         * 更新关卡
         */
        GameMainPage.prototype.upadateStage = function (newStage) {
            if (newStage === void 0) { newStage = true; }
            var self = this;
            this.remainScore.visible = false;
            console.log('upadateStage' + newStage);
            self.nextStage(true);
        };
        GameMainPage.prototype.replayStage = function () {
            GameMainPage.isreplay = true;
            localStorage.setItem("score", this.addScore + "");
            Global.currentScore2 = this.addScore;
            this.nextStage(true);
        };
        /**
         * 通关条件达成
         */
        GameMainPage.prototype.accomplishStage = function () {
        };
        /**
         * 显示当前消除得分
         */
        GameMainPage.prototype.showTip = function (count) {
            var _this = this;
            if (count < 0)
                return;
            this.tip.text = count + "连消" + Global.GetCleanScore(count) + "分";
            this.tip.scaleX = 0;
            this.tip.scaleY = 0;
            this.tip.alpha = 0;
            CreateTween(this.tip, { scaleX: 1, scaleY: 1, alpha: 1 }, 300, Handler.create(this, function () {
                Laya.timer.once(300, _this, function () {
                    _this.tip.scaleX = 0;
                    _this.tip.scaleY = 0;
                    _this.tip.alpha = 0;
                });
            }));
        };
        GameMainPage.prototype.closeRankList = function () {
            this.sharedCanvas.graphics.clear();
            if (!Laya.Browser.onMiniGame)
                return;
            //主域向子域发送自定义消息
            Laya.Browser.window.wx.getOpenDataContext().postMessage({
                message: JSON.stringify({ tag: "CloseGameOverCanvas" })
            });
            Global.sharedTexture.bitmap.alwaysChange = false;
            Global.sharedTexture.destroy(true);
        };
        GameMainPage.prototype.showRankList = function () {
            if (!Laya.Browser.onMiniGame)
                return;
            //主域向子域发送自定义消息
            Laya.Browser.window.wx.getOpenDataContext().postMessage({
                message: JSON.stringify({ tag: "ShowGameOverCanvas" })
            });
            Global.CreateSharedTexture(240, 120);
            this.sharedCanvas.texture = Global.sharedTexture;
        };
        /**
         * 创建单个星星分值
         */
        GameMainPage.prototype.createStarScore = function (star, score) {
            var _this = this;
            if (score < 0)
                return;
            var point = star.localToGlobal(new Laya.Point(0, 0));
            if (score <= 0)
                return;
            var label = utils.Pool.getObjectFromPool("score_label"); //new eui.Label(score + "");
            this.addChild(label);
            label.x = point.x;
            label.y = point.y;
            label.text = score + "";
            point = this.curScore.localToGlobal(new Laya.Point(this.curScore.width / 2, this.curScore.height / 2));
            CreateTween(label, { x: point.x - 30, y: point.y - 30, alpha: 0 }, 1000, Handler.create(this, function () {
                _this.removeChild(label);
                label.alpha = 1;
                utils.Pool.collectObjectToPool("score_label", label);
            }));
        };
        GameMainPage.loaded = false;
        GameMainPage.isfirst = true;
        GameMainPage.isreplay = false;
        return GameMainPage;
    }(ui.view.GameMainViewUI));
    view.GameMainPage = GameMainPage;
})(view || (view = {}));
//# sourceMappingURL=GameMainPage.js.map